Nintex Forms 2013 Help and How-to

Back Forward Home Print
Nintex Forms 2013
NintexForms

Contents

Administration and Configuration
Controls
Using the Form Designer
Form Interaction with SharePoint


Administration and Configuration

Nintex Forms 2013
Administration and Configuration

Topics in "Administration and Configuration"
17 items

Licensing settings

Activating Nintex Forms

Web Application activation settings

Manage device layouts

Associating templates to device layouts

Manage form controls

Manage database

Live Forms settings

Installing Nintex Live

View Live forms

Manage Live Mobile Access

Manage Nintex Live Mobile Users

SharePoint IDs for Nintex Features

Licensing options

FBA for Nintex Mobile

SDK

Manage the designer experience


Licensing settings

Licensing settings

Nintex Forms uses a license file (.nlf) for server licensing. A single license file is used to store information about all servers in a farm that are licensed for Nintex Forms.

Importing the License

To import a license:

  1. In Central Administration, navigate to Nintex Forms Management and click Licensing.
  2. On the Licensing page, click the Import button.
  3. In the License file section, click the Browse button to locate the license file. Once the license file has been located, click the Import button.
  4. The Licensing information will then be displayed.

Related Topics

Installing Nintex Live
Activating Nintex Forms
Manage database
Getting started with the form designer

Please contact our sales team for licensing advice at sales@nintex.com.


Activating Nintex Forms

Activating Nintex Forms
To design forms using Nintex Forms, feature activation is required on the site collection.
The Nintex Forms Prerequisites Feature must be activated before activating other Nintex Forms features.

Activating 'Nintex Forms Prerequisites Feature' for the Site Collection

To activate Nintex Forms Prerequisites Feature in a site collection

  1. Navigate to the Site Collection home page.
  2. Click on the Settings Icon [image], in the top right-hand corner, and select Site Settings.
  3. In the Site Collection Administration group, click on Site collection features.
  4. In the Nintex Forms Prerequisites Feature section, click on the Activate button.

After a short delay, the page will refresh and the status will become Active.

Activating 'Nintex Forms for Nintex Workflow' for the Site Collection

Activate the Nintex Forms for Nintex Workflow site collection feature to design start forms and task forms in Nintex Workflow.

Note: Nintex Workflow must be installed and configured prior to activating this feature.

To activate Nintex Forms for Nintex Workflow in a site collection:

  1. Navigate to the Site Collection home page.
  2. Click on the Settings Icon [image], and select Site Settings.
  3. In the Site Collection Administration group, click on Site collection features.
  4. In the Nintex Forms for Nintex Workflow section, click on the Activate button.

After a short delay, the page will refresh and the status will become Active.

Activating 'Nintex Forms for SharePoint List Forms' for the Site Collection

Activate the Nintex Forms for SharePoint List Forms site collection feature to use Nintex Forms to design SharePoint list forms.

To activate Nintex Forms for SharePoint List Forms in a site collection:

  1. Navigate to the Site Collection home page.
  2. Click on the Settings Icon [image], and select Site Settings.
  3. In the Site Collection Administration group, click on Site collection features.
  4. In the Nintex Forms for SharePoint List Forms section, click on the Activate button.

After a short delay, the page will refresh and the status will become Active.

Activating 'Nintex Live Forms' for the Site Collection

Activate the Nintex Live Forms site collection feature to allow Nintex Forms designers to publish forms to Nintex Live.
Note: The Nintex Live Forms option must also be enabled in the Central Administration Live Forms settings when activating this feature.

To activate Nintex Live Forms in a site collection:

  1. Navigate to the Site Collection home page.
  2. Click on the Settings Icon [image], and select Site Settings.
  3. In the Site Collection Administration group, click on Site collection features.
  4. In the Nintex Live Forms section, click on the Activate button.

After a short delay, the page will refresh and the status will become Active.

Related Topics

Getting started with the form designer
Live Forms settings
Importing and exporting forms
Configuring the Start Site Workflow Webpart


Web Application activation settings

Web Application activation settings

To activate Nintex Forms on a Web Application, the Nintex Forms solution must be installed and deployed on the Web Application.

Activating Nintex Forms on the Web Application

To activate the Nintex Forms solution on the Web Application:

  1. Navigate to SharePoint Central Administration.
  2. In the Quick Launch menu, click Application Management.
  3. In the Web Applications section, click the Manage web applications link.
  4. Select the Web Application that Nintex Forms is to be deployed to.
  5. In the Web Applications Ribbon, click on Manage Features.
  6. In the Manage Web Application Features dialog, click Activate on the Nintex Forms feature.

After a short delay, the page will refresh and the status will become Active.

Related Topics

Activating Nintex Forms
Installing Nintex Live
Getting started with the form designer


Manage device layouts

Manage device layouts

The Manage device layouts page allows the addition, removal and configuration of layouts that are targeted to devices. In addition, a template can be associated with a device layout. Refer to Associating templates to device layouts for more information.

This page displays a summary view of the configured layout options targeted to the device.

Note: Layout features are available in the Classic Forms Designer only. Layouts are not used in the Responsive Forms Designer.

Device Layouts

Adding a new device layout

To add a new device layout:

  • Click the Add device link under the list of configured device layouts.

The Device Details page is displayed as follows:

  • Device Name: Name of the device layout that is displayed to the form designer.
  • Display Name Key: Advanced functionality for multi-language purposes. Contact Support on support@nintex.com if help with this is required. This field can be left blank.
  • Display Name Resource Type: Advanced functionality for multi-language purposes. Contact Support on support@nintex.com if help with this is required. This field can be left blank.
  • User Agent(s): The regular expressions used by the device to associate a layout with a particular browser.
  • Sequence: The display order of the layout buttons in the Nintex Forms Ribbon.
  • Height (Pixels): The recommended height of the layout in pixels. This will be the default height of the layout.
  • Width (Pixels): The recommended width of the layout in pixels. This will be the default width of the layout.
  • Icon URL: The URL of the icon displayed in the Ribbon.
  • Where should the device be displayed?: Select whether the device layout icon appears as a button in the layout section of the Ribbon, in the Other Devices drop-down list or not at all.
  • Show in Preview device selector: Displays the icon as an option in the Preview dialog. This is unselected by default for Nintex Mobile App device layouts.
  • Default Device: When the form designer is first opened the default device will be displayed. If this is the only device found, the default device will be used at runtime.
  • Use Template: Use the uploaded template for this layout if available.
  • Handled by Nintex Mobile App: Flags this device layout as being for the Nintex Mobile App.

v2.1.Deleting an existing device layout

To delete a device layout:

  • Click the delete icon on the right-hand side of the listed device layout.

Note: There is no warning to confirm deletion at this stage.

Related Topics


Associating templates to device layouts

Associating templates to device layouts

A template is a saved form definition in a form export file (.xml) that is used to apply default settings for newly-created forms.

Uploading a template for the Responsive Forms Designer

A template is applied to all forms created in the Responsive Forms Designer.

Note: You can only import a Responsive forms definition as a Responsive forms template.

To upload a template:

  1. Navigate to Nintex Forms Management and select Responsive Forms Template.
  2. In the Templates section, click the Browse button.
  3. Navigate to the saved form export file (xml), select the file and click Open.
  4. Click the Upload button.

Once a template has been uploaded, the template will be listed below the Browse button.

Note: Only one template may be applied for the farm. Uploading a second template file will overwrite the existing template.

To remove the template, press the Remove button.

The following items are included as part of the template:

  • All controls that are on the layouts
  • Custom theme settings

Uploading a template for the Classic Forms Designer

A template will be added for each layout in the exported form definition. For example: A form is exported with a Default layout, iPad layout and a Smart Phone layout. Whenever one of these three layouts are created, the template settings will be applied.

Note: You can only import a Classic forms definition as a Classic forms template.

To upload a template:

  1. Navigate to Nintex Forms Management and select Classic Forms Layouts.
  2. In the Templates section, click the Browse button.
  3. Navigate to the saved form export file (xml), select the file and click Open.
  4. Click the Upload button.

Once a template has been uploaded, the device templates that were found within the form export file will be listed below the Browse button.

Note: Only one template may be applied for the farm. Uploading a template file will clear all existing templates and apply only the layouts found in the most recent file uploaded.

To deactivate a template for one or more specific device layout(s), deselect the Use Template setting in Manage device layouts.

The following items are included as part of the template:
  • All configured device layouts
  • All controls that are on the layouts
  • Custom CSS styles
  • Changes made to default Nintex Forms CSS styles
  • Confirmation message and Cancel message templates defined in Live Settings.

Related Topics

Importing and exporting forms
Getting started with the form designer
Form and Layout settings
Manage device layouts


Manage form controls

Manage form controls

The Manage Form Controls page lists all of the installed controls that are available for use when designing a form.

For more information on the functionality of the individual controls please refer to the Control help topics.

Related Topics

Control Settings
Controls In Use
Connecting Controls to fields or variables
Linked Controls


Manage database

Manage database

The Manage database page can be used to configure the database that will store Nintex Forms configuration and application settings.

Database settings

The Nintex Forms installation requires a single database to store the server specific configuration settings. A new database or an existing database can be used.

Use of the default database server and database name is recommended for most cases. Refer to the administrator's guide for advanced scenarios where specifying database information is required.
Use of Windows authentication is strongly recommended. To use SQL authentication, specify the credentials which will be used to connect to the database.

To create a new database:
  1. Specify the name of the SQL Server database server, the name of the database and select the authentication settings.
To connect to an existing database:
  1. Specify the name of the SQL Server database server where the database is located, the name of the existing database and select the authentication settings.

Failover server

The database may be associated with a failover server that is used in with SQL Server database mirroring.

Related Topics

Manage device layouts
Licensing settings
Manage form controls
Live Forms settings
View Live forms


Live Forms settings

Live Forms settings

Use the Live Forms settings page to enable or disable the ability to publish forms to Nintex Live, and allow or disallow anonymous user access.

Note: Ensure that the Nintex Live Framework and the certificates required to enable connectivity to Nintex Live have been installed.

If the "Install Nintex Live" option was not selected during Nintex Forms installation, manually install and deploy the “nintexlivecore.wsp”.

To enable Nintex Live Forms

Note: A database for Nintex Forms must be provisioned before Nintex Live Forms can be enabled. Refer to Manage database for more information.

  1. In Central Administration, navigate to Nintex Forms Management.
  2. Click on Live Forms settings.
  3. In the Enable Nintex Live Forms section, click on Enable.

Note: When Nintex Live Forms is disabled, forms already published to Nintex Live will remain active. Live Form submissions will be held in the Nintex Live message queue until retrieved or cleared*. Re-enabling Nintex Live Forms will retrieve and process all stored form submissions.
To disable all forms published to Nintex Live, please see View Live forms for more information.

*Nintex will endeavour to hold and deliver all undelivered forms, however, periodic clearing of stale content may be necessary. Please contact Nintex if you have special requirements for holding content or clearing held content.

To allow anonymous forms submissions

  1. Under Central Administration, navigate to Nintex Forms Management.
  2. Click on Live Forms settings.
  3. In the Allow anonymous form submissions, select Yes.
  4. In the warning dialog, click the OK button.

Related Topics

Installing Nintex Live
View Live forms
Web Application activation settings
Live Settings
Saving and publishing forms
Manage database


Installing Nintex Live

Installing Nintex Live

Nintex Live is a hosted service provided by Nintex.

The Nintex Live Framework and certificates are required to enable connectivity to Nintex Live.

The Nintex Live components must be installed to enable the Nintex Live features of Nintex Forms. These features allow form designers to publish designated forms to Nintex Live. Nintex Live Forms can be accessed by internet users, either anonymously or via 3rd party authentication providers.

Installing the Nintex Live components

The following steps are required to manually install the Nintex Live Framework and certificates if the "Install Nintex Live" option was not selected during Nintex Forms 2013 installation. The SharePoint PowerShell Command Prompt must be used to install the components.

To launch the SharePoint PowerShell Command Prompt:

  1. Login to the server that is running the Central Administration service as a SharePoint administrator.
  2. Click the Start menu and navigate to All Programs > Microsoft SharePoint 2013 Products > SharePoint 2013 Management Shell.

Installing the Nintex Live Framework

In the SharePoint PowerShell Command Prompt, type:

CD "C:\Program Files\Nintex\Nintex Forms 2013"

Note: The default installation path is "C:\Program Files\Nintex\Nintex Forms 2013", replace with actual location if installed to a different location.

Add-SPSolution -LiteralPath "C:\Program Files\Nintex\Nintex Forms 2013\NintexLiveCore.wsp"

Install-SPSolution -Identity "1ddec2be-094d-4a9b-b9e1-fdca27b07646" -GACDeployment -Force

Note: Wait for the solution to be deployed. Check the status of the solution deployment in the Central Administration > System Settings > Manage farm solutions page.

Install-SPFeature -SolutionId "1ddec2be-094d-4a9b-b9e1-fdca27b07646" -AllExistingFeatures -Force

Remove-PSSnapin Microsoft.SharePoint.PowerShell

Add-PSSnapin Microsoft.SharePoint.PowerShell

Install-LiveService

Importing the Nintex Live certificates

In the SharePoint PowerShell Command Prompt type:

CD "C:\Program Files\Nintex\Nintex Forms 2013\Certs"

Note: The default installation path is "C:\Program Files\Nintex\Nintex Forms 2013", replace with actual location if installed to a different location.

.\CertificateUpload.ps1

Related Topics

Live Forms settings
View Live forms
Activating Nintex Forms


View Live forms

View Live forms

The View Live forms page displays list forms and workflow start forms that are currently published to Nintex Live. Forms can be viewed or removed.

Note: Only Classic Designer forms can be published to Nintex Live.

Use the Select form type drop down to display the different form types available.

The list displays the following:

  • Site: The site the form is in.
  • Form: The name of the list and content type, or the workflow, that the form is associated with.
  • Published: The date the form was published to Nintex Live.
  • Expires: The date the form will expire. Once the form expires, a user will no longer be able to view or submit the form in Nintex Live.
  • View: The link to view the form published to Nintex Live.

To remove a form published to Nintex Live

  1. Select the form by checking it.
  2. Click on Remove. In the confirmation dialog, click OK.

Note: Removing the form does not uncheck the "Publish to Nintex Live" option in the Live Settings. If the form is published again, it will be republished to Nintex Live.

Note: If the form is removed from Nintex Live and then republished, the Live Form URL will revert to the original URL when first published.

Related Topics

Live Settings
Saving and publishing forms
Installing Nintex Live
View Live forms
Live Forms settings


Manage Live Mobile Access

Manage Live Mobile Access

Enable or disable users of the Nintex Mobile App to connect to forms and tasks through the Nintex Live framework.

The page is displayed as follows:

  • Live relay service: This lists all the servers in the farm and indicates the status of the live relay service on each. For Nintex Mobile Apps to work via live the relay service, it must be running on at least one server.
  • Farm Source Name: This is the name of Farm using the relay service. Nintex Mobile will use this to identify where a form comes form and provide additional capabilities based on this name. The name is not validated to be unique, it should be specific to your organisation to avoid confusion by users of the Nintex Mobile App.
  • Enable Live Mobile Access: Set whether users of the Nintex Mobile App will be able to connect using Nintex Live. This can only be set to Enabled when at least one instance of the relay is running.
Click OK to confirm your changes.
Related Topics

Manage Nintex Live Mobile Users


Manage Nintex Live Mobile Users

Manage Nintex Live Mobile Users

Enable individual users of the Nintex Mobile App to connect to forms and tasks though the Nintex Live framework or disable individual users from connecting.

Related Topics

Manage Live Mobile Access


SharePoint IDs for Nintex Features

SharePoint IDs for Nintex Features
Error messages displayed in SharePoint may reference identifiers for Nintex features. Following is the list of Nintex SharePoint feature IDs for Nintex Forms 2013.
Note: Some features are hidden. Contact Support if you have further questions.
​Nintex SharePoint Feature | ​ID
​NintexFormsAdminWeb | ​70f4f7da-4fb4-4e30-ba1a-a733efb2e1ac
​NintexFormsFarm | ​ada0910e-a663-4db4-a19c-d8a097317b87
​NintexFormsListSite | ​202afc3c-7384-4700-978d-6da3d3cce192
​NintexFormsLiveSite | ​23fce797-ac15-4451-b8da-cf8ac6de6912
​NintexFormsSitePrerequisites | ​716f0ee9-e2b0-41f0-a73c-47ed73f135de
​NintexFormsWebApplication | ​0cdf436f-61b0-43d2-b250-4360f0353b63
​NintexFormsWorkflowSite | ​ac8addc7-7252-4136-8dcb-9887a277ae2c
​NintexLiveAdminLinks | ​29e9a673-31a4-46a3-b0d2-d8e1db1dbd92


Licensing options

Licensing options
​

Nintex Forms Licensing Options

Nintex Forms 2013 is available in the following editions.

  • ​Nintex Forms Standard Edition
  • Nintex Forms Enterprise Edition

Please contact our sales team if you need advice at sales@nintex.com.

Software Assurance

Valid Software Assurance is required in order to update to the latest version of Nintex Forms.

Related Topics

Licensing settings


FBA for Nintex Mobile

FBA for Nintex Mobile
​This topic describes how to set up Nintex Mobile access through form-based authentication. This topic also includes field descriptions for related administration pages available through Central Administration.

Form Based Authentication (FBA) for Nintex Mobile authenticates users through a web application sign-in page. When FBA for Nintex Mobile is enabled for your SharePoint farm, a separate web application sign-in page is displayed for access to Nintex Mobile. This sign-in page is triggered when a user enters the URL to a related SharePoint site using the Corporate sign-in option for the Nintex Mobile app.

The first time a user attempts to sign into Nintex Mobile with valid site credentials (after FBA is enabled), the user is automatically granted Nintex Mobile access through FBA. Behind the scenes, the first successful sign-in triggers generation of an encrypted token that is issued to Nintex Mobile. The token uses a unique Identity (GUID) to represent the user. Nintex Mobile continues to use this token for subsequent requests sent to Nintex Forms, such as a retrieval of forms. The FBA endpoints validate requests against the provided token. When the token expires, access is blocked until the user signs in again, which triggers generation of a new token.

When FBA for Nintex Mobile is disabled, Nintex Mobile users are authenticated through the app sign-in screen.

Setting up FBA access to Nintex M​obile​​

As administrator, you can enable and disable FBA access to Nintex Mobile.

To enable FBA access to Nintex Mobile for the SharePoint farm
  1. On the Central Administration Home page, click Nintex Forms Management.
  2. Click Manage FBA Mobile Access.
  3. Click Enable FBA.
  4. To change the token expiration period, select the desired value for Set Nintex Mobile Token Expiry.
  5. Click OK.
    Note: If your network infrastructure uses a firewall, ensure that FBA endpoints are externally accessible by Nintex Mobile. These endpoints (<SiteUrl>/_vti_bin/NintexMobile/FBA/) are secured by token validation and thus require the firewall to bypass authentication

To disable FBA access to Nintex Mobile for the SharePoint farm
  1. On the Central Administration Home page, click Nintex Forms Management.
  2. Click Manage FBA Mobile Access.
  3. Click Disable FBA.
  4. Click OK. ​

Manage FBA Mobile Access page​​

The Manage FBA Mobile Access page​ contains the following selections.
Selection | Description
Enable Forms Based Authentication for Nintex Mobile When enabled, authenticates Nintex Mobile users through a web application sign-in page. The following options are available.
  • Enable FBA
  • Disable FBA
​Set Nintex Mobile Token Expiry | Number of days before each user-specific encrypted token ​expires.


SDK

SDK
​The Nintex Forms Software Development Kit (SDK) is for developers, SharePoint solution consultants, and SharePoint administrators. This SDK documentation contains information for developers creating SharePoint solutions files, custom forms, new inline form functions, and working with the forms XML. This documentation provides an architectural overview of Nintex, the entity model, and web services. Sample code and walkthroughs are provided to guide you through the features of Nintex forms. It also contains information for both developers creating solutions in Microsoft Visual Studio, guidance for creating JavaScript snippets in the Forms designer, a PowerShell reference for creating scripts to deploy and manage your forms. The kit includes guidance on scripting, integration of custom controls, and sample code.

Link to the Nintex 2013 SDK (Forms and Workflow): http://help.nintex.com/en-US/sdks/SDK2013/​


Manage the designer experience

Manage the designer experience

Select which forms designer is used for all new forms across your farm.

Note: Existing forms continue to use the appropriate designer for the form, regardless of this configuration.

To select the designer experience:

  1. On the Central Administration Home page, click Nintex Administration.
  2. Under Nintex Forms Management, click Manage Form Designer Experience.
  3. Select:
    • Classic and Responsive to offer your designers the option of either forms designer when they open Nintex Forms.
    • Classic only to use the Classic Forms Designer to build all new forms.
    • Responsive only to use the Responsive Forms Designer to build all new forms.

Related Topics

Getting started with the form designer


Controls

Nintex Forms 2013
Controls

Topics in "Controls"
31 items

Button

Choice

Rich Text

Hyperlink

Image

Label

Date Time

Border

List Item

List Lookup

Multi Line Textbox

Page Viewer

Panel

People

Single Line Textbox

Yes-No

Workflow Diagram

List View

Attachment Control

Repeating section

Recurrence

Calculated Value

Managed Metadata

External Data Column

Control Properties Ribbon

Geolocation

Change Content Type

Web Request

SQL Request

Page Break Guide

List of controls


Button

Button
​

The Button Control

The Button control can be used to initiate an action, such as submitting a form or initiating a custom JavaScript.

Note: The Button control is not supported in Nintex Mobile. The control is not needed in Nintex Mobile because the Save and Cancel buttons are generated individually by platform.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description
​General | ​Name | ​​The name of the control. The name is used for comparison validation and other control references.​​
Button action

Function of the button control. Choose one of the following options.

  • Save: Saves entered data to the list and closes the form.
  • Save and Submit: Saves entered data to the list and closes the form.
  • Cancel: Discards entered data and closes the form.
  • Save and Continue: Saves entered data to the list without validating for required controls (rule or control configuration).
  • JavaScript: Option for specifying custom functionality.

Note: Custom JavaScript is available in the Classic Forms Designer only.

​ ​Button type

Text or image appearance of the button control. Choose one of the following options.

  • Button
  • Image
  • Link
​ ​Button label ​The text to display on the button control.
​​Appearance | ​Visible | ​Hide or show control at runtime.
​ ​​Horizontal width ​The width of the control as a %, pixel or point value.
​ ​Vertical height ​The height of the control as a %, pixel or point value.
​Formatting
(Classic Forms Designer only) 		​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings).
​ ​Border ​Draws a line along the select border of the control.
​ ​Border Style ​The style of the border.
​ ​Border Width (Pixels) ​The width of the border in pixels.
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html.
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control.
​Ribbon | ​Show on Ribbon | ​Show this button on the Ribbon toolbar (if available) in addition to the form.
​ ​Ribbon icon URL ​If shown on the Ribbon toolbar, specify the URL of the icon (32x32px) to use.
​ ​Ribbon button order ​Determines the order in which buttons will appear on the ribbon toolbar.
​ ​Ribbon button group name ​The name of the Ribbon toolbar group to display the button.
​Advanced ​Visible when in view mode ​Hide or show the control in view mode.​

If Yes is selected:

  • View mode text: The text displayed on the button when the form is in view mode.
  • Enable when in view mode: Allow the button to operate when the form is in view mode.
​ ​Causes validation

​Apply validation for JavaScript button types.

Note: Custom JavaScript is available in the Classif Forms Designer only.

​ ​Client click

​The JavaScript to execute when the user clicks the button.

Note: This feature is available in the Classic forms designer only.

​ ​Connected to ​The field to bind the input control to.

If a selection is made in the List Columns:

  • Value returned: The value to return when the button is clicked.
  • Data type returned: The data type of the returned value when the button is clicked.
​ ​Confirmation message ​When the user clicks on the button during runtime, they will be prompted with this message prior to the buttons functionality being processed.
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. ​
​ ​Close the form

​(Displayed for the following button types: Save and Continue.) Closes the form when the button is clicked. Default value: No

Note: This feature is available in the Classic forms designer only.

​ ​Redirect URL ​(Displayed for the following button types: Save, Save and Submit, Cancel.) The URL to redirect to after the form is closed through this button control.

Related Topics:

Getting started with the form designer
Controls In Use
Control Settings
Connecting Controls to fields or variables
Shortcut keys
Inserting reference fields
Control Properties Ribbon​​


Choice

Choice
​​

The Choice Control

The Choice control can be used to make a single or multiple selection on a form.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General Name The name of the control. The name is used for comparison validation and other control references.
 Yes
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control. ​Yes
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control. ​Yes
​ ​Connected to ​The field to bind the input control to. ​Yes
​ ​Display format ​Select the type of choice control to display. (Option buttons / Checkbox / List / Drop down) ​Yes
​ ​Choices ​Enter the choices to be displayed. ​Yes
​ ​Default value source ​Select whether the default value will be inherited from the column definition or whether another specified value will be used.​ ​Yes
​ ​Default value ​Set a default value for the control. If a control is connected to a SharePoint list column, enter the value or expression value to override the Choice default specified in the SharePoint column. ​Yes
​ ​Render as buttons ​When Display Format is set to Options Buttons (also known as "radio buttons" this allows the control to be rendered as styled buttons which can appear like tabs. By using this option with Rules a basic tab-like interface can be built on your form. ​No
​ ​Arrange choices ​Items can be arranged across then down or down then across. ​Yes
​ ​Number of columns ​Number of columns to use to display the specified choices. ​Yes
​ ​Column alignment ​Align the choices in fixed columns or allow them to float. ​Yes
​ ​Allow "Fill-in" choices ​Allows the user at runtime to specify a choice other than those presented. ​No
​Appearance | ​Visible | ​Hide or show the control at ​runtime. | ​Yes
​ ​Enabled ​Enable the control to receive user input when the form is in input mode. ​Yes
​Formatting
(Classic Forms Designer only) 		​Control CSS class ​The CSS class to apply to the inner elements of the control. ​No
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form and Layout settings). ​No
​ ​Border ​Draws a line along the select border of the control. ​No
​ ​Border Style ​The style of the border. ​No
​ ​Border Width (Pixels) ​The width of the border in pixels. ​No
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html. ​No
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. ​No​
​Validation ​Required ​The form will not submit unless this control is completed correctly.

If Yes is selected:

  • Required error message: The error message to display when the required field is not specified.
​Yes
​ ​Data Type ​The data type to convert to during validation. ​No
​ ​Use custom validation ​Enables the value entered into the control to be validated by a JavaScript function.

If Yes is selected:

  • Custom validation function: Specify the JavaScript function name for the client side custom validation. Note: The JavaScript function is to be specified in the Custom JavaScript section within the form's Settings.
  • Custom error message: The error message to display when an invalid value is entered.

Note: Custom JavaScipt is available in the Classic Forms Designer only.

 ​No
​Advanced | ​Help text | ​Help text that will be displayed to the user as a tooltip to guide the completion of the form. | ​No
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto. ​No
​ ​Store Client ID in JavaScript variable ​A JavaScript variable will be created that references the Client ID of this control.

If Yes is selected:

  • Client ID JavaScript variable name: The name of the variable to store the Client ID in.

Note: Custom JavaScript is available in the Classic Forms Designer only.

 ​No
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. ​No
​ ​​Allow semicolon in choices Determines how the semicolon character is interpreted when rendering choices in the published form, regardless of configuration source (connected field or Choices in control configuration). Choose one of the following options.
  • No (default): Splits choices when encountering the semicolon character in a choice value. For example, renders “Red;Dot” as “Red” and “Dot” (two choices).
  • Yes: Leaves choice as-is when encountering the semicolon character; interprets the semicolon as part of the given choice. For example, renders “Red;Dot” as “Red;Dot” (one choice, same as configured).
    NOTE: This option is not supported if the control is connected to a workflow variable of the type Choice.
​No

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Connecting Controls to fields or variables
Shortcut keys
Yes-No Control
Inserting reference fields
Control Properties Ribbon

​ ​


Rich Text

Rich Text

The Rich Text Control

Use Rich Text to display formatted text, pictures, hyperlinks and tables on a form.

Note: The Rich Text control is not supported in Nintex Mobile.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description
General | (unlabeled) | To enter or edit content, click in the text area. ​
​ | ​Name | ​The name of the control. The name is used for comparison validation and other control references. ​
​Appearance | ​Visible | ​Hide or show the control at runtime.
​Formatting (Classic Forms Designer only) | ​CSS class | ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings).
​ | ​Border | ​Draws a lin e along the selected border of the control.
​ | ​Border Style | ​The style of the border.
​ | ​Border Width (Pixels) | ​The width of the border in pixels.
​ | ​​​Border Color | ​The color of the border. This can either be a HEX code or a named color that is supported by html.
​ | ​Padding Width (Pixels) | ​The amount of padding in pixels that will appear between the top, left and right border and the inner control.
​Advanced | ​Resize at runtime | ​​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly.

Related Topics:

Getting started with the form designer
Control Settings
Controls In Use
Inserting reference fields
Shortcut keys
Multi Line Textbox
Single Line Textbox
Inserting reference fields


Hyperlink

Hyperlink
​

The Hyperlink Control

The Hyperlink control can be used to enter a hyperlink URL and display text.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General Name The name of the control. This name is used for comparison validation and other control references.
Yes
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control. ​Yes
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control. ​Yes
​ ​Connected to ​The field to bind the input control to. ​Yes
​​Appearance | ​Visible | ​Hide or show the control at runtime. | ​Yes
​ ​Enabled ​Enable the control to receive user input when the form is in input mode. ​Yes
​Formatting
(Classic Forms Designer only) 		​​Control CSS class ​The CSS class to apply to the inner elements of the control. ​No
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to [[Using the Form Designer/Form and Layout settings|Form and Layout settings]]). ​No
​ ​Border ​Draws a lin e along the selected border of the control. ​No
​ ​Border Style ​The style of the border. ​No
​ ​Border Width (Pixels) ​The width of the border in pixels. ​No
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html. ​No
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. ​No
​Validation ​Required ​The form will not submit unless this control is completed correctly.

If Yes is selected:

  • Required error message: The error message to display when the required field is not specified.
 ​Yes
​ ​Use custom validation ​Enables the value entered into the control to be validated by a JavaScript function.

If Yes is selected:

  • Custom validation function: Specify the JavaScript function name for the client side custom validation. Note: The JavaScript function is to be specified in the Custom JavaScript section within the form's Settings.
  • Custom error message: The error message to display when the required field is not specified.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​No
​Advanced | ​Help text | ​Help text that will be displayed to the user as a tooltip to guide the completion of the form. | ​No
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto. ​No
​ ​Store Client ID in JavaScript variable ​A JavaScript variable will be created that references the Client ID of this control.

If Yes is selected:

  • Client ID JavaScript variable name: The name of the variable to store the Client ID in.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​No
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. ​ ​No​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Connecting Controls to fields or variables
Shortcut keys
Inserting reference fields
Control Properties Ribbon​​


Image

Image
​

The Image Control

The Image control can be used to display an image on a form.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General | Name | The name of the control. This name is used for comparison validation and other control references. | Yes
​ | ​Title (Responsive Forms Designer only) | ​Title of the control. The title is displayed as the label for the control. | ​Yes
​ | ​Description (Responsive Forms Designer only) | ​Description of the control. The description displays additional information or instructions for the control. | ​Yes
​ | ​Image URL | ​The URL for the image. | ​Yes
​ | ​Alternate text | ​The alternate text to display to aid accessibility. | ​Yes
​Appearance | ​Visible | ​Hide or show the control at runtime. | ​Yes
​ | ​Horizontal width | ​The width of the control in %, pixel or point value. | ​Yes
​ | ​Vertical height | ​The height of the control in %, pixel or point value. | ​Yes
​Formatting (Classic Forms Designer only) | ​CSS class | ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to [[Using the Form Designer/Form and Layout settings|Form and Layout settings]]). | ​No
​ | ​Border | ​Draws a lin e along the selected border of the control. | ​No
​ | ​Border Style | ​The style of the border. | ​No
​ | ​Border Width (Pixels) | The width of the border in pixels.​ | ​No
​ | ​Border Color | ​The color of the border. This can either be a HEX code or a named color that is supported by html. | ​No
​ | ​Padding Width (Pixels) | ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. | ​No
​Advanced | ​Resize at runtime | ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. | ​No​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Label
Shortcut keys
Inserting reference fields
Control Properties Ribbon


Label

Label
​

The Label Control

The Label control can be used to place text anywhere on the form. Labels are often placed next to other controls to describe the associated control.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General | (unlabeled) | To enter or edit content, click in the text area. | Yes
​ | ​Name | ​The name of the control. The name is used for comparison validation and other control references.​ | ​Yes
 | ​​Associated control | ​Select the control that this label describes. This is used for web browser accessibility. Note: By default, when a Label is associated to a bound control (a control that is associated to a column or workflow variable), the default value of the label will reflect the name of the column or workflow variable the control is bound to. | ​Yes
​Appearance | ​Visible | ​Hide or show the control at runtime. | ​Yes
​Formatting (Classic Forms Designer only) | ​CSS class | ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings. | ​No
​ | ​Border | ​Draws a line along the select border of the control. | ​​No
​ | ​Border Style | ​The style of the border. | ​​No
​ | ​Border Width (Pixels) | ​The width of the border in pixels. | ​​No
​ | ​Border Color | ​The color of the border. This can either be a HEX code or a named color that is supported by html. | ​​No
​ | ​Padding Width (Pixels) | ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. | ​​No
​Advanced | ​Resize at runtime | ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. | ​​No

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Inserting reference fields
Shortcut keys
Image
Control Properties Ribbon


Date Time

Date Time

The Date/ Time Control

The Date/ Time control can be used to either enter a date and time or select a date from a calendar display.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General Name The name of the control. The name is used for comparison validation and other control references.
Yes
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control. ​Yes
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control. ​Yes
​ ​Connected to ​The field to bind the input control to. ​Yes
​ ​Default value ​Set a default value for the display. This value will only be used if a default value has not been specified in the column or variable in the Connected to setting.

If Selected date option:

  • Selected date: Select a specific date.
​Yes
​ ​Date only ​Show the date only without the time. ​Yes
​Appearance | ​Visible | ​Hide or show the control at runtime. | ​Yes
​ ​Enabled ​Enable the control to receive user input when the form is in input mode. ​Yes
​Formatting
(Classic Forms Designer only) 		​Control CSS class ​The CSS class to apply to the inner input control. No
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings). ​No
​ ​Border ​Draws a line along the select border of the control. ​No
​ ​Border Style ​The style of the border. ​No
​ ​Border Width (Pixels) ​The width of the border in pixels. ​No
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html. ​No
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. ​No​
​Validation ​Required ​The form will not submit unless this control is completed correctly.

If Yes is selected:

  • Required error message: The error message to display when the required field is not specified.
​Yes
​ ​Compare to ​Enables the value entered into the control to be validated against a specified value, or the current value in another control.

If Control is selected:

  • Compare operator: Select the type of comparison to perform.
  • Control to compare: Select the control to compare to.
  • Compare validation error message: The error message to display when an invalid value is entered.

If Value is selected:

  • Compare operator: Select the type of comparison to perform.
  • Value to compare: A fixed constant value to compare against the current value of the control.
  • Compare validation error message: The error message to display when an invalid value is entered.
​Yes
​ ​Use range validation ​Enables the value entered into the control to be validated against a specified maximum and minimum value.

If Yes is selected:

  • Maximum value: The maximum valid value.
  • Minimum value: The minimum valid value.
  • Range validation error message: The error message to display when an invalid value is entered.
​Yes
​ ​Use a regular expression ​Enables the value entered into the control to be validated against a regular expression.

If Yes is selected:

  • Regular expression: The regular expression string for validating the input against.
  • Regular expression validation message: The error message to display when an invalid value is entered.
 ​No
​ ​Use custom validation ​Enables the value entered into the control to be validated by a JavaScript function.

If Yes is selected:

  • Custom validation function: Specify the JavaScript function name for the client side custom validation. Note: The JavaScript function is to be specified in the Custom JavaScript section within the form's Settings.
  • Custom error message: The error message to display when an invalid value is entered.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​No
​Advanced | ​Help text | ​Help text that will be displayed to the user as a tooltip to guide the completion of the form. | ​No
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto. ​No
​ ​Convert empty string to null ​Convert to a null value if the control contains an empty string. ​No
​ ​Null display text ​If the bound value is null, this text will be displayed instead. ​No
​ ​String format ​The string format to apply to the displayed value. ​No
​ ​Store Client ID in JavaScript variable ​A JavaScript variable will be created that references the Client ID of this control.

If Yes is selected:

  • Client ID JavaScript variable name: The name of the variable to store the Client ID in.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​No
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. ​ ​No​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Connecting Controls to fields or variables
Shortcut keys
Control Properties Ribbon


Border

Border
​

The Border Control

The Border control can be used to display a line along one or more borders of the control.

Note: The Border control is available in the Classic Forms Designer only.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.

Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General | Name | The name of the control. The name is used for comparison validation and other control references.​ | Yes
​Appearance | ​Visible | ​Hide or show the control at runtime. | ​Yes
​Formatting | ​CSS class | ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings) | ​No
​ | ​Border | ​Draws a line along the selected border of the control. | ​Yes
​ | ​Border Style | ​The style of the border. | ​Yes
​ | ​Border Width (Pixels) | ​The width of the border in pixels. | ​Yes
​ | ​Border Color | ​The color of the border. This can either be a HEX code or a named color that is supported by html. Note: When used in Nintex Mobile layouts, the color must be a HEX or RGB value. | Yes

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Shortcut keys
Control Properties Ribbon​​


List Item

List Item
​

The List Item Control

The List Item control can be used to display an item from a SharePoint list.

Note: The List Item control is not supported in Nintex Mobile.

Note: The List Item control is available in the Classic Forms Designer only.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description
General | Source SharePoint site | The URL or GUID of the SharePoint site the list is in.
​ | ​List | ​The ID or name of the list.
​ | ​List Item ID | ​The ID of the item in the list to display.
​Appearance | ​Visible | ​Hide or show the control at runtime.
​Formatting | ​CSS class | ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to [[Using the Form Designer/Form and Layout settings|Form and Layout settings]]).
​ | ​Border | ​Draws a lin e along the selected border of the control.
​ | ​Border Style | ​The style of the border.
​ | ​Border Width (Pixels) | ​The width of the border in pixels.
​ | ​Border Color | ​The color of the border. This can either be a HEX code or a named color that is supported by html.
​ | ​Padding Width (Pixels) | ​The amount of padding in pixels that will appear between the top, left and right border and the inner control.
​Advanced | ​Show error message at runtime if list item not found | ​Displays the SharePoint error message at runtime if the item cannot be found.
​ | ​Resize at runtime | ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly.

​Related Topics

Getting started with the form designer
Control Settings
Controls In Use
List View
List Attachment
List Lookup
Shortcut keys
Inserting reference fields
Control Properties Ribbon


List Lookup

List Lookup

The List Lookup Control

The List Lookup control allows users to make selections based on values in a SharePoint list. The selection the user makes can be used to filter the available values in another List Lookup control on the form.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General Name The name of the control. This name is used for comparison validation and other control settings.
 Yes
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control. ​Yes
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control. ​Yes
​ ​ID connected to ​The column to bind the item ID of the returned lookup value to. Note: The column names specified in the ID Connected to field, must be of the type "Single line of text". ​Yes
​ ​Text connected to ​The column to bind the text returned from the lookup to.
Note: When a List Lookup control is used, two pieces of data are returned: the ID of the item selected in the lookup and the text of the item selected in the lookup. Each of these can be bound to a List Column in the current list. The column names specified in the Text Connected to field, must be of the type "Single line of text".
Note: If you will require Nintex Workflow to act on a returned list item, it will require the ID to refer to the list item.
​Yes
​ ​Source SharePoint site ​The ID or the URL of the SharePoint site that contains the source list. This list can be anywhere within the web application. The site picker will only show sites within the current site collection, however, other sites can be entered as a server relative URL manually. ​Yes
​ ​Source List ​The list name or ID of the source SharePoint list. The lists available will dynamically be populated based on the specified site. If the system cannot access the site, the list name will need to be specified manually as an expression. ​Yes
​ ​Source view ​The SharePoint view to source the items from. ​Yes
​ ​List column name ​The name of the column to show in the lookup control. ​Yes
​ ​Allow multiple values ​Allows the user to select multiple values in the control. ​Yes
​Appearance | ​Visible | ​Hide or show the control at runtime. | ​Yes
​ ​Enabled ​Enable the control to receive user input at runtime. ​Yes
​ ​Display format ​The type of control to render. Available options in single select mode are: "Drop down list" and "Option Buttons", while in multi select mode, you can continue to use the SharePoint List Lookup Control (Default) or checkboxes or a list box similar to that available to the Choice control. ​Yes
​ ​Use custom "Please select" text ​Indicates whether the control will use custom text for the first item in the drop down list. ​Yes
​Filtering ​Filter available selections ​Filter the selections in the Lookup by another control on the page or by a specific value.
If By a controls value is selected:
  • Where field: The field in the source list to apply the filter to.
  • Filtered by control: The control on the current form to filter the available items by. Note: If the control to filter is a multi-select lookup control that renders as the standard SharePoint one this will not work. Please change the other controls mode to check boxes or lists.
If By a specified value is selected:
  • Where field: the field in the source list to apply the filter to.
  • Filtered by value: The value to filter the available items by.
 ​Yes
​ ​Action when no filter applied ​Values to be shown when there is no value applied to the filter; where nothing is selected in the “filtered by control” or there is no valid specified filter value. ​Yes
​Formatting
(Classic Forms Designer only) 		​Control CSS class ​The CSS class to apply to the inner input control. ​No
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settin gs). ​​No
​ ​Border ​Draws a line along the select border of the control. ​​No
​ ​Border Style ​The style of the border. ​​No
​ ​Border Width (Pixels) ​The width of the border in pixels. ​​No
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html. ​​No
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. ​​No
​Validation | ​Required | ​The form will not submit unless this control is completed correctly. | Yes
​ ​Use custom validation ​Enables custom JavaScript validation for the control.

If Yes is selected:

  • Custom validation function: Specify the JavaScript function name for the client side custom validation. Note: The JavaScript function is to be specified in the Custom JavaScript section within the form's Settings.
  • Custom error message: The error message to display when an invalid value is entered.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​​No
​Advanced | ​Help text | ​Help text that will be displayed to the user as a tooltip to guide the completion of the form. | ​​No
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto. ​​No
​ ​Prepend ID to value ​Select Yes to include the item ID number in front of the value. ​​No
​ ​Store Client ID in JavaScript variable ​A JavaScript Variable will be created that references the Client ID of this control.

If Yes is selected:

  • Client ID JavaScript variable name: The name of the variable to store the Client ID in.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​​No
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. ​​No​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Connecting Controls to fields or variables
List Attachment
List Item
List View
Shortcut keys
Inserting reference fields
Control Properties Ribbon


Multi Line Textbox

Multi Line Textbox
​

The Multi Line Textbox Control

The Multi Line Textbox control allows users to enter plain text on the form.

As with other controls the Multi Line Textbox inherits properties and settings from the field it is connected to. One property not visible in the Control Settings dialog is SharePoint's ability to show the previous history of the field. When enabled in the column settings, this will render at runtime as per the existing SharePoint functionality. We however will take up some of the space allocated to the control to display this history. The control will not grow as more history is collected.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General Name The name of the control. The name is used for comparison validation and other control references.
 Yes
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control. ​Yes
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control. ​Yes
​ ​Connected to ​The field to bind the input control to. ​Yes
​ ​Default value ​Set a default value for the control. This value will only be used if a default value has not been specified in the column or variable selected in the Connected to setting. ​Yes
​ ​Rich text ​Allow rich text format to be entered.

If Yes is selected:

  • Specify the type of text to allow: Select rich text, or Enhanced rich text.
​Yes
​Appearance | ​Visible | ​Hide or show the control at runtime. | ​Yes
​ ​Enabled ​Enable the control to receive user input when the form is in input mode. ​Yes
​Formatting
(Classic Forms Designer only) 		​Control CSS class ​The CSS class to apply to the inner elements of the control. ​No
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings refer to (Form and Layout settings). ​No
​ ​Border ​Draws a line along the select border of the control. ​No
​ ​Border Style ​The style of the border. ​No
​ ​Border Width (Pixels) ​The width of the border in pixels. ​No
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html. ​No
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. ​No
​Validation ​Required ​The form will not submit unless this control is completed correctly.

If Yes is selected:

  • Required error message: The error message to display when the required field is not specified.
​Yes
​ ​Use custom validation ​Enables the value entered into the control to be validated by a JavaScript function.

If Yes is selected:

  • Custom validation function: Specify the JavaScript function name for the client side custom validation. Note: The JavaScript function is to be specified in the Custom JavaScript section within the form's Settings.
  • Custom error message: The error message to display when an invalid value is entered.

Note: Custom JavaScript is avavailable in the Classic Forms Designer only. 		​No
​Advanced | ​Help text | ​Help text that will be displayed to the user as a tooltip to guide the completion of the form. | ​No
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto. ​No
​ ​Convert empty string to null ​Convert to a null value if the control contains an empty string. ​No
​ ​Null display text ​If the bound value is null, this text will be displayed instead. ​No
​ ​Store Client ID in JavaScript variable ​A JavaScript variable will be created that references the Client ID of this control.

If Yes is selected:

  • Client ID JavaScript variable name: The name of the variable to store the Client ID in.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​No
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. ​No​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Connecting Controls to fields or variables
Single Line Textbox
Rich Text
Shortcut keys
Inserting reference fields
Control Properties Ribbon​


Page Viewer

Page Viewer
​

The Page Viewer Control

The Page Viewer control can be used to display a page on a form. The page viewer control works as an iframe and allows a view of a page or document to be included within the control.

Note: Some mobile devices and security settings may not support the display of a page from another website within a Nintex Form.

Note: The Page Viewer Control is available in the Classic Forms Designer only.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General | Name | The name of the control. The name is used for comparison validation and other control references. ​ | Yes
​ | ​Source | ​The URL of the page/document to show in the page viewer. | ​Yes
​Appearance | ​Visible | ​Hide or show the control at runtime. | ​Yes
​Formatting | ​CSS class | ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to [[Using the Form Designer/Form and Layout settings|Form and Layout settings]]). | ​No
​ | ​​​Border | ​Draws a lin e along the selected border of the control. | ​No
​ | ​Border Style | ​The style of the border. | ​No
​ | ​Border Width (Pixels) | ​The width of the border in pixels. | ​No
​ | ​Border Color | ​The color of the border. This can either be a HEX code or a named color that is supported by html. | ​No
​ | ​Padding Width (Pixels) | ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. | ​No
​Advanced | ​Resize at runtime | ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. | ​No​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Shortcut keys
Inserting reference fields
Control Properties Ribbon​


Panel

Panel
​

The Panel Control

The Panel control can be used to group controls together and optionally display a label and a border around the group.

To group controls together:

  1. Drag and drop a Panel control onto the Forms Designer.
  2. Drag and drop any controls which are to be grouped and place inside the Panel control.
  3. Configure the controls as desired.

Note: In design mode, controls grouped within a Panel control can be moved around the form canvas collectively.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General | Name | The name of the control. The name is used for comparison validation and other control references. ​ | Yes
​ | ​Title (Responsive Forms Designer only) | ​Title of the control. The title is displayed as the label for the control. | ​Yes
​ | ​Description (Responsive Forms Designer only) | ​Description of the control. The description displays additional information or instructions for the control. | ​Yes
​ | ​Title | ​The title of the panel. If a title is supplied, the panel will render as a HTML fieldset. | ​Yes
​ | ​Background image | ​The image to set for the background. | ​Yes
​Appearance | ​Visible | ​Hide or show the control in runtime. | ​Yes
​ | ​Show Border | ​Show a border around this control. | ​No
​Formatting (Classic Forms Designer only) | ​CSS class | ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to [[Using the Form Designer/Form and Layout settings|Form and Layout settings]]). | ​No
​ | ​Border | ​Draws a lin e along the selected border of the control. | ​No
​ | ​Border Style | ​The style of the border. | ​No
​ | ​Border Width (Pixels) | ​The width of the border in pixels. | ​No
​ | ​Border Color | ​The color of the border. This can either be a HEX code or a named color that is supported by html. | ​No
​ | ​Padding Width (Pixels) | ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. | ​No
​Advanced | ​Resize at runtime | ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. | ​No​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Shortcut keys
Inserting reference fields
Control Properties Ribbon​


People

People

The People Control

The People control allows users to browse and select users from the SharePoint profile database.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General Name The name of the control. The name is used for comparison validation and other control references.
 Yes
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control. ​Yes
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control. ​Yes
​ ​Connected to ​The field to bind the input control to. ​Yes
​ ​Default value source ​Only available when connected to a column, this option allows you to override the connected field's default with your own default expression. ​Yes
​ Default value​ ​Set a default value for the control. This value will only be used if a default value has not been specified in the column or variable selected in the Connected to setting or Default Value Source has been set to "Expression". ​Yes
​ ​Multiple selections ​Only available when connected to columns of certain data types. Allow multiple people to be selected. ​Yes
​​Appearance | ​Visible | ​Hide or show the control in runtime. | ​Yes
​ ​Enabled ​Enable the control to receive user input when the form is in input mode. ​Yes
​Formatting
(Classic Forms Designer only) 		Control CSS class​ ​The CSS class to apply to the inner elements of the control. ​No
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings. ​​No
​ ​Border ​Draws a line along the select border of the control. ​​No
​ ​Border Style ​The style of the border. ​​No
​ ​Border Width (Pixels) ​The width of the border in pixels. ​​No
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html. ​​No
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. ​​No
​Validation ​Required ​The form will not submit unless this control is completed correctly.

If Yes is selected:

  • Required error message: The error message to display when the required field is not specified.
 ​Yes
​ ​Compare To ​Enables the value entered into the control to be validated against a specified value or the current value in another control.

If Control is selected:

  • Compare operator: Select the type of comparison to perform.
  • Control to compare: Select the control to compare to.
  • Compare validation error message: The error message to display when an invalid value is entered. ​

If Value is selected:

  • Compare operator: Select the type of comparison to perform.
  • Value to compare: Enter the value to compare to.
  • Compare validation error message: The error message to display when an invalid value is entered.
​​No
​ ​Use custom validation ​Enables the value entered into the control to be validated by a JavaScript function.

If Yes is selected:

  • Custom validation function: Specify the JavaScript function name for the client side custom validation. Note: The JavaScript function is to be specified in the Custom JavaScript section within the form's Settings.
  • Custom error message: The error message to display when an invalid value is entered.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​​No
​Advanced | Entities to include​ | ​Only available when not connected to a column. The available user entity types that can be specified. | ​Yes
​ ​Maximum entities ​The maximum number of users/ groups that can be selected if multiple selection is allowed. ​Yes
​ ​SharePoint group ​Filter the available entities by a specific SharePoint group. ​Yes
​ ​Help text ​Help text that will be displayed to the user as a tooltip to guide the completion of the form. ​​No
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto. ​​No
​ ​Store Client ID in JavaScript variable ​A JavaScript variable will be created that references the Client ID of this control.

If Yes is selected:

  • Client ID JavaScript variable name: The name of the variable to store the Client ID in.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​​No
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. ​ ​​No​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Connecting Controls to fields or variables
Shortcut keys
Inserting reference fields
Control Properties Ribbon​​


Single Line Textbox

Single Line Textbox
​​​

The Single Line Textbox Control

The Single Line Textbox control allows users to enter plain text on a form.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General Name The name of the control. The name is used for comparison validation and other control references.
 Yes
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control. ​Yes
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control. ​Yes
​ ​Connected to ​The field to bind the input control to. Yes​
​ ​​Default value source ​Only available when connected, allows you to override the connected fields default with your own default expression. ​Yes
​ ​Default value ​Set a default value for the control. The value will only be used if a default value has not been specified in the column or variable selected in the Connected to setting or Default Value Source has been set to "Expression". Yes​
​ ​Data Type ​Only available when not connected. The data type to convert to during validation. ​Yes
​Appearance | Visible​ | ​Hide or show the control at runtime. | ​Yes
​ ​Enabled ​Enable the control to receive user input when the form is in input mode. ​Yes
​Formatting
(Classic Forms Designer only) 		​Control CSS class ​The CSS class to apply to the inner elements of the control. ​No
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form and Layout settings. No
​ ​Border ​Draws a line along the select border of the control. ​No
​ ​Border Style ​The style of the border. ​No
​ ​Border Width (Pixels) ​The width of the border in pixels. ​No
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html. ​No
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. ​No​
​Validation ​Required ​The form will not submit unless this control is completed correctly.

If Yes is selected:

  • Required error message: The error message to display when the required field is not specified.
​Yes
​ ​Compare To ​Enables the value entered into the control to be validated against a specified value, or the current value in another control.
If Control is selected:
  • Compare operator: Select the type of comparison to perform.
  • Control to compare: Select the control to compare to.
  • Compare validation error message: The error message to display when an invalid value is entered.
If Value is selected:
  • Compare operator: Select the type of comparison to perform.
  • Value to compare: A fixed constant value to compare against the current value of the control.
  • Compare validation error message: The error message to display when an invalid value is entered.
​Yes
​ ​Use range validation ​Enables the value entered into the control to be validated against a specified maximum and minimum value.
If Yes is selected:
  • Maximum value: The maximum valid value.
  • Minimum value: The minimum valid value.
  • Range validation error message: The error message to display when an invalid value is entered.
​Yes
​ ​Use a regular expression ​Enables the value entered into the control to be validated against a regular expression.
If Yes is selected:
  • Regular expression: The regular expression string for validating the input against.
  • Regular expression validation message: The error message to display when an invalid value is entered.
 ​Yes
​ ​​​Use custom validation ​Enables the value entered into the control to be validated by a JavaScript function.

If Yes is selected:

  • Custom validation function: Specify the JavaScript function name for the client side custom validation. Note: The JavaScript function is to be specified in the Custom JavaScript section within the form's Settings.

E.g. The property should be ClientValidate when the following function is added to the custom JavaScript in the form.

function ClientValidate(source, arguments)

{

if (arguments.Value % 2 == 0){

arguments.IsValid = true;

} else {

arguments.IsValid = false;

}

}

  • Custom error message: The error message to display when an invalid value is entered.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​Yes
​Advanced​ | ​Max length | Only available when not connected. ​The maximum length of the text that can be entered.​ | ​Yes
​ ​Password ​Hide the password text with asterisks. ​Yes
​ Help text​ ​Help text that will be displayed to the user as a tooltip to guide the completion of the form. ​No
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto. ​​No
​ ​Convert empty string to null ​Convert to a null value if the control contains an empty string. ​​No
​ ​Null display text ​If the bound value is null, this text will be displayed instead. ​​No
​ ​String format ​The string format to apply to the value. The string format will be determined by the type of data specified by the control. When it is a number the following can be used http://msdn.microsoft.com/en-us/library/0c899ak8.aspx , and http://msdn.microsoft.com/en-us/library/dwhawy9k.aspx . For other types see http://msdn.microsoft.com/en-us/library/26etazsy.aspx ​​No
​ ​Store Client ID in JavaScript variable ​A JavaScript variable will be created that references the Client ID of this control.

If Yes is selected:

  • Client ID JavaScript variable name: The name of the variable to store the Client ID in.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​​No
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. ​​No​
​ ​Enable barcode scanning ​Displays a button next to the control for scanning barcodes. Available in supported Nintex Mobile apps only. Select one of the following options. ​
  • Yes
  • No
            •  ​Yes

    Related Topics

    Getting started with the form designer
    Control Settings
    Connecting Controls to fields or variables
    Controls In Use
    Shortcut keys
    Rich Text
    Multi Line Textbox
    Inserting reference fields
    Control Properties Ribbon


Yes-No

Yes-No
​​

The Yes/No Control

The Yes /No control allows users to check or uncheck a box to show that an item has been selected.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General Name The name of the control. The name is used for comparison validation and other control references.
 ​Yes
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control. ​Yes
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control. ​Yes
​ ​Connected to ​The field to bind the input control to. ​Yes
​ ​Text ​The text to display next to the checkbox. ​Yes
​ Default value source​ ​Only available when connected to a column, this option allows you to override the connected field's default with your own default expression. Yes
​ ​Default value ​Set a default value for the control. If a control is connected to a SharePoint list column, use an expression value to override the Yes/No default specified in the SharePoint column. ​Yes
​Appearance | Visible​ | ​Hide or show the control at runtime. | ​Yes
​ ​Enabled ​Enable the control to receive the user input when the form is in input mode. ​Yes
​Formatting
(Classic Forms Designer only) 		​Control CSS class ​The CSS class to apply to the inner elements of the control. ​No
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings). ​No
​ ​Border ​Draws a lin e along the selected border of the control. ​No
​ ​Border Style ​The style of the border. ​No
​ ​Border Width (Pixels) ​The width of the border in pixels. ​No
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html. ​No
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. ​No
​Validation Required to be checked​ ​The form will not submit unless this control is completed correctly.

If Yes is selected:

  • Required error message: The error message to display when the required field is not specified.
 ​Yes​
​ ​Use custom validation ​Enables the value entered into the control to be validated by a JavaScript function.

If Yes is selected:

  • Custom validation function: Specify the JavaScript function name for the client side custom validation. Note: The JavaScript function is to be specified in the Custom JavaScript section within the form's Settings.
  • Custom error message: The error message to display when an invalid value is entered.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​No
​Advanced | Help text​ | ​Help text that will be displayed to user as a tooltip to guide completion of the form. | ​No
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto. ​No
​ ​Store Client ID in JavaScript variable ​A JavaScript variable will be created that references the Client ID of this control.

If Yes is selected:

  • Client ID JavaScript variable name: The name of the variable to store the Client ID in.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​No
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. ​No​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Connecting Controls to fields or variables
Choice Control
Inserting reference fields
Control Properties Ribbon


Workflow Diagram

Workflow Diagram

The Workflow Diagram Control

The Workflow Diagram control can be used to display a Nintex Workflow on a form.

Note: The Nintex workflow diagram control will only appear if Nintex Workflow has been installed and configured.

Note: The Workflow Diagram control is not supported in Nintex Mobile.

Note: The Workflow Diagram control is available in the Classic Forms Designer only.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description
General Load from context Display the workflow diagram based on the context of the form. When No is selected, displays additional fields.

Note: Using this control on a start form will load a preview for the current workflow, a task form will show the status of the current task's workflow and a list form will show the state of the current running workflow (if there are multiple workflows running, SharePoint will look for the first workflow for that list item) or the first completed workflow.

For more information on manually configuring the workflow diagram to display, refer to manual configuration scenarios.

​ ​Workflow Instance ID ​The ID of a workflow instance.
​ ​Workflow name ​The name of the workflow to display.
​ ​SharePoint List ​The ID or name of the list if required.
​ ​List Item ID ​The ID of the list item if required.
​Appearance | ​Visible | ​Hide or show the control at runtime.
​Formatting | ​CSS class | ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings).
​ ​Border ​Draws a lin e along the selected border of the control.
​ ​Border Style ​The style of the border.
​ ​Border Width (Pixels) ​The width of the border in pixels.
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html.
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control.
​Advanced | Displays the control at runtime if the workflow cannot be found.​ | ​Show control at runtime if workflow not found.
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form size and position of other controls accordingly. ​

Manual configuration scenarios

To display a diagram for a workflow on a list item (will look for the first workflow for the list item), specify the following:

  • SharePoint list
  • List Item ID
  • Workflow name

To display a diagram for a specific running/completed workflow on a list item, specify the following:

  • Workflow Instance ID
  • SharePoint list
  • List Item ID

To display a diagram for a site workflow, specify the following:

  • Workflow name

To display a diagram for a specific running / completed site workflow, specify the following:

  • Workflow instance ID

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Inserting reference fields
Control Properties Ribbon


List View

List View
​​​​​

The List View Control

The List View control can be used to display a SharePoint List and optionally specify the List view to display.

Note: The List View control is not supported in Nintex Mobile.​​​

Note: The List View control is available in the Classic Forms Designer only.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
​Selection | ​Field | ​Description
General | Source SharePoint site | The URL or GUID of the SharePoint site the list is in.
​ List The ID or name of the list.
​ ​​View Name ​The name of the view in the list that is displayed. If not specified, the default view will be displayed.
​Appearance | ​Visible | ​Hide or show the control at runtime.
​Filtering | ​Filter listed items | ​Filter the listed items by another control on the page, a specific value or custom query.
​Formatting | ​Control CSS class | ​The CSS class to apply to the inner elements of the control.
​ ​CSS class​ ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings. For more information, see Form and Layout settings.
​ ​Border
​Draws a lin​​​​e along the selected border of the control.
​ ​Border Style ​The style of the border.
​ ​Border Width (Pixels) ​The width of the border in pixels.​
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html​.
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control.
​Advanced ​Lookup column filtering

The type of filtering for the lookup column. Select one of the following options.

  • Default: Filters for ID first. If no ID is found, filters for value ​.
  • By ID: Only filters by ID.
  • By value: Only filters by value.

    Filtering by value is applied only when text input, such as a Single Line Textbox control, is specified in the Filtering section

 ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. ​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
List Attachment
List Item
List Lookup
Shortcut keys
Inserting reference fields
Control Properties Ribbon​​


Attachment Control

Attachment Control
​​​

The Attachments Control

The Attachments control allows users to attach files to the SharePoint list item that the form is currently adding or editing. For list forms it is the list item of the form. For task forms it will be the attachments for the task list item, not the list item the workflow is running on.

Note: If the browser being used does not support browsing the file system and selecting attachments, the 'browse' button will be disabled.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General | Name | The name of the control. The name is used for comparison validation and other control references. | ​Yes
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control. ​Yes
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control. ​Yes
​ ​Default control ​
    When more than one attachment control is on the form, you must assign one of them as the default. If a default is not chosen, you will not be able to publish the form. The attachment control selected as the default will display any "orphaned" attachments on an item. An "orphaned" attachment is an attachment that was attached with no specific Nintex Forms attachment control associated with it. This can happen with items that are added either:
  • using forms that were published with previous versions of Nintex Forms or
  • other forms such as SharePoint forms.
 ​Yes
​Appearance | ​Visible | ​Hide or show the control at runtime. | ​Yes
​Formatting
(Classic Forms Designer only) 		​CSS class ​​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings). ​No
​ ​Border ​Draws a line along the select border of the control. ​No
​ ​Border Style ​The style of the border. ​No
​ ​Border Width (Pixels) ​The width of the border in pixels. ​No
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html. ​No
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. ​No
​Validation ​Minimum attachments ​The number of attachments required for form submission.

Note: When a value is specified for this field, a red asterisk appears in the published form, to the right of the label associated with this control.

​Yes
​ ​Minimum attachments error message ​The text of the error message displayed if form is submitted without the required number of attachments.

Example: "Résumé file must be attached."

Nintex Mobile displays the following error message by default for this validation item.

“You have not met the minimum number of required files.”

 ​Yes
​ ​Maximum attachment setting ​
    The setting to use for maximum attachments allowed:
  • Unlimited: The number of attachments is not validated.
  • Custom: The number of attachments is validated according to the value specified for Maximum attachments. When the maximum value is reached, the Add Attachment link is disabled.
​​Yes
​ ​Maximum attachments ​The highest number of attachments allowed for form submission.

Note: This field is displayed only when you select Custom for Maximum attachments setting.

Nintex Mobile displays the following error message by default for this validation item.

“You have exceeded the maximum allowed number of files.”

 ​​Yes
​ ​Allowed file formats (enter each format on its own line) ​The file extensions validated at the time of attachment. Enter each file extension (format) on its own line.

Example:

doc
docx
pdf

Note: Separate from the form-specific file formats specified here, the SharePoint server may block file formats (file types).

Nintex Mobile displays the following error message for any attached file type that is blocked by the SharePoint server.

“The selected file type is blocked by the server. Select a different file type.”

 ​​Yes
​ ​Disallowed file format error message ​The text of the error message displayed if an attempted file attachment fails validation according to Allowed file formats.

Nintex Mobile displays the following error message by default for this validation item. ​

“The selected file type is not allowed for this form. Select a different file type.”​

 ​​Yes​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
List Item
List View
List Lookup
Shortcut keys
Inserting reference fields
Control Properties Ribbon​​​


Repeating section

Repeating section
​

The Repeating Section Control

The Repeating Section is a control that can contain a set of other controls, and allows a user of the form to insert multiple instances (rows) of the set as required. A typical use is an expenses form where each row is an expense item.

The following controls are supported within repeating sections:

Note: When added to a Repeating Section control, child controls are connected to the Repeating Section control and thus cannot be connected to SharePoint columns or fields.​

  • Border
  • Calculated Value
  • Choice
  • Date/Time
    The value stored for a Date/Time control within a Repeating Section control is culture invariant (using Microsoft.Net CultureInfo.InvariantCulture format). Example: 08/26/2016 15:20:00.​
  • Image
  • Label
  • List Lookup
  • Multi line textbox (without rich text formatting in edit mode)
  • Panel
  • People
  • Repeating Section
  • Rich Text
  • Single line text
  • Yes/No

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General | Name | The name of the control. The name is used for comparison validation and other control references. | Yes
​ | ​Title (Responsive Forms Designer only) | ​Title of the control. The title is displayed as the label for the control. | ​Yes
​ | ​Description (Responsive Forms Designer only) | ​Description of the control. The description displays additional information or instructions for the control. | ​Yes
​ | ​Connected to | ​The field to bind the input control to. | Yes​
​ | ​Text for add row icon | ​The text for add row item. | ​Yes
​ | ​Default rows | ​The default number of rows to be displayed. | ​Yes
​ | ​Minimum rows | ​The minimum number of rows to be displayed. | ​Yes
​ | ​Maximum rows | ​The maximum number of rows to be displayed. | ​Yes
​Appearance | ​Visible | ​Hide or show the control at runtime. | ​Yes
​ | ​Prevent add/delete in new/edit mode | ​Hides the add/delete links in new and edit mode. Select Yes to remove the ability to add or delete a new row to the repeating section in new and edit mode. Expressions may be used to allow a row to be added or deleted only in new mode, and not edit mode, or vice versa. | ​No
​Formatting (Classic Forms Designer only) | ​Item CSS class | ​The CSS item to apply to the item. | ​No
​ | ​Alternate item CSS class | ​The CSS class to apply to every alternate item (row). | ​No
​ | CSS class​ | ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings). | ​No
​ | ​Border | ​Draws a line along the selected border of the control. | ​No
​ | ​Border Style | ​The style of the border. | ​No
​ | ​Border Width (Pixels) | ​The width of the border in pixels. | ​No
​ | ​​​Border Color | ​The color of the border. | ​No​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Connecting Controls to fields or variables
Shortcut keys
Inserting reference fields
Control Properties Ribbon​​​


Recurrence

Recurrence
​

The Recurrence Control

The Recurrence control allows a user to make the calendar item a repeating event. A user can edit the reoccurrence pattern when filling in the form.

Note: The Recurrence control is only available when a form is designed from a Calendar list.

Note: The Recurrence control is not supported in Nintex Mobile.

Control Settings

Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description
General | Visible | Hide or show the control at runtime.
​​Formatting (Classic Forms Designer only) | ​CSS class | ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings).
​ | Border​ | ​​Draws a line along the select border of the control.
​ | Border Style​ | ​The style of the border.
​ | ​Border Width (Pixels) | ​The width of the border in pixels.
​ | ​Border Color | ​​The color of the border. This can either be a HEX code or a named color that is supported by html.
​ | ​Padding Width (Pixels) | ​The amount of padding in pixels that will appear between the top, left and right border and the inner control.
​Advanced | ​Resize at runtime | ​Allow the control to dynamically adjust its size and adjust the form size and position of other controls accordingly. ​

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Shortcut keys


Calculated Value

Calculated Value
​

The Calculated Value Control

The Calculated Value control performs a calculation or concatenation (depending on the data type of the values used within the Formula Builder) and displays the result at run time.

Control Settings

Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description | Nintex Mobile​
General Formula The runtime formula to be calculated. Use the Formula Builder to create the formula.
 Yes
​ ​Name ​The name of the control. The name is used for comparison validation and other control references. ​Yes
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control. ​Yes
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control. ​Yes
​ ​Connected to ​The field to bind the input control to. ​Yes
​ ​Save as data type ​The data type to convert to when the form is saved.

If Decimal is selected:

  • Decimal places: The number of decimal places.
  • Show as percentage: Format the value as a percentage.

If Decimal or Integer is selected:

  • Use thousand separator: Whether to use a thousand separator
         ​Yes
​ ​Value prefix ​The prefix for the value. ​Yes
​ ​Value suffix ​The suffix for the value. ​Yes
​ ​Recalculate formula on view mode ​Recalculate the value when the form is displayed in view mode at run time. ​No
​ ​Recalculate formula on new mode ​Recalculate the value when the form is displayed in new mode at run time. By default, this is set to yes. ​No
​ ​Recalculate formula on edit mode ​Recalculate the value when the form is displayed in edit mode at run time. By default, this is set to yes. ​No
​Appearance | ​Visible | ​Hide or show the control at run time. | ​Yes
​ ​Enabled ​Enable the control to receive user input at run time. ​Yes
​Formatting
(Classic Forms Designer only) 		​Control CSS class ​The CSS class to apply to the inner elements of the control. ​​No
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings). ​​No
​ ​Border ​Draws a lin e along the selected border of the control. ​​No
​ ​Border Style ​The style of the border. ​​No
​ ​Border Width (Pixels) ​The width of the border in pixels. ​​No
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html. ​​No
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. ​​No
​Advanced | ​Help text | ​Text that will be displayed to the user as a tooltip to guide the completion of the form. | ​​No
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto. ​​No
​ ​Convert empty string to null ​Convert to a null value if the control contains an empty string. ​​No
​ ​Null display text ​If the bound value is null, this value will be displayed instead. ​​No
​ ​Store Client ID in JavaScript variable ​A JavaScript Variable will be created that references the Client ID of this control.

If Yes is selected:

  • Client ID JavaScript variable name: The name of the variable to store the Client ID in.

Note: Custom JavaScript is available in the Classic Forms Designer only. 		​​No
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form size and position of other controls accordingly. ​​No​

​Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Shortcut keys
Inserting reference fields
Formula Builder
Control Properties Ribbon


Managed Metadata

Managed Metadata

The Managed Metadata Control

Managed metadata is a hierarchical collection of managed terms that must be defined within SharePoint prior to use in Nintex Forms. For more information on managed metadata refer to http://technet.microsoft.com/en-us/library/ee424402.aspx.

The Managed Metadata control retrieves these managed terms from your SharePoint environment. Once a data selection has been configured, users can select values from a list of set terms, allowing for more accurate selections.

Note: The Managed Metadata control is not supported in Nintex Mobile.​​​​​

Control Settings

Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | Description
General Name The name of the control. The name is used for comparison validation and other control references.
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control. ​Yes
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control. ​Yes
​ ​Connected to ​The field to bind the input control to.
​ ​Term set ​The term set to be used. Click on a term to select the first level of the hierarchy to show in the control. All levels below the term selected will be seen when users choose a value.
​ ​Allow multiple values ​Specify whether the column will allow more than one value. Note: allowing multiple values will prevent sorting in list views.
​ ​Allow fill in ​Select whether users will be permitted to add values to the term set. (Only open term sets will allow 'Fill-in')
​Appearance | ​Visible | ​Hide or show the control at runtime.
​ ​Enabled ​Enable the control to receive user input at runtime.
​Formatting
(Classic Forms Designer only) 		​Control CSS class ​The CSS class to apply to the inner elements of the control.
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to [[Using the Form Designer/Form and Layout settings|Form and Layout settings]]).
​ ​Border ​Draws a lin e along the selected border of the control.
​ ​Border Style ​The style of the border.
​ ​Border Width (Pixels) ​The width of the border in pixels.
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html.
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control.
​Validation | ​Required | ​The form will not submit unless this control is completed correctly.
​ ​Use custom validation ​Enables the custom JavaScript validation for the control.
Note: Custom JavaScript is available in the Classic Forms Designer only.
​Appearance | ​Help text | ​Text that will be displayed to the user as a tooltip to guide the completion of the form.
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto.
​ ​Store Client ID in JavaScript variable ​A JavaScript variable will be created that references the Client ID of this control.

If Yes is selected:

  • Client ID JavaScript variable name: The name of the variable to store the Client ID in.

Note: Custom JavaScript is available in the Classic Forms Designer only.
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form size and position of other controls accordingly.

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Shortcut keys


External Data Column

External Data Column
​

The External Data Column Control

The External Data Column control enables users to add data from external content types to standard SharePoint lists. Just like an external list, the external data column can display data from any external content type. For more information on external data columns, refer to http://msdn.microsoft.com/en-us/library/ee558737.aspx.

Note: To use the external data column, the external content type must first be configured. For more information on setting up external content types, refer to http://msdn.microsoft.com/en-us/library/ff728816.aspx.

Note: The External Data Column control is not supported in Nintex Mobile.

Note: The External Data Column control is available in the Classic Forms Designer only.

Control Settings

Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | ​Description
General Name ​The name of the control. The name is used for comparison validation and other control references.
​ ​Connected to ​The field to bind the control to.
​ ​External content type ​Use the external content type picker to choose a content type.
​ ​Display format ​The format to display the control as (Default picker, Drop down list, Option buttons). Note: This will make a call to the external content type to read in all items in the external list. If you use a drop down list or option buttons, this could present a performance issue if there is a larger number of items.
​ ​Field to be displayed ​The field name from the external content type to be displayed.
​ ​Additional fields ​When the External Data Column control is bound to an external data column in the list or library, this field lists additional field-specific columns configured for the external data column.
For example, if you bind the control to the external data column “Customer,” which is configured using the CustomerCRM external type to show the fields CustomerName and PhoneNumber, then these fields are listed here.
For more information about external data column configuration, see the following Microsoft article: “Create and update an external data column in a list or library.”​
​Appearance | ​Visible | ​Hide or show the control at runtime.
​ ​Enabled ​Enable the control to receive user input during runtime.
​ ​Dialog title ​The text to display in the dialog box.
​Formatting | ​Control CSS class | ​The CSS class to apply to the inner elements of the control.
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings).
​ ​Border ​Draws a lin e along the selected border of the control.
​ ​Border Style ​The style of the border.
​ ​Border Width (Pixels) ​The width of the border in pixels.
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html.
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control.
​Validation | ​Required | ​The form will not submit unless this control is completed correctly.
​ ​Use custom validation ​Enables the custom JavaScript validation for the control.
​Advanced | ​Help text | ​Text that will be displayed to the user as a tooltip to guide the completion of the form.
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto.
​ ​Store Client ID in JavaScript variable A JavaScript variable will be created that references the Client ID of this control.
If Yes is selected:
  • Client ID JavaScript variable name: The name of the variable to store the Client ID in.
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form size and position of other controls accordingly.

Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Shortcut keys
Inserting reference fields
Control Properties Ribbon

​


Control Properties Ribbon

Control Properties Ribbon

The Control Properties Ribbon varies between each control. Please refer to the list below for more information about each property.

Responsive Forms Designer

Manage

  • Control Settings: Open the control settings dialog.
  • Delete: Delete the selected control from the current layout.

Rules

  • Add Rule: Displays the Rule pane and adds a new rule to the selected control.

Help

  • Help: Displays the Nintex Forms online help.

Classic Forms Designer

Manage

  • Bring to Front: Bring the selected control in front of all other controls.
  • Control Settings: Open the control settings dialog.
  • Delete: Delete the selected control from the current layout.
  • Send to Back: Send the selected control to the back of all other controls.

Clipboard

  • Copy: Copy the selected control to the clipboard.
  • Cut: Remove the selected control and copy to the clipboard.
  • Paste: Paste the copy/cut controls from the clipboard.
  • Select all: Select all of the controls on the current layout.
  • Format Painter: Will copy all font and style properties from the selected control to another control when selected. Controls to paste the styles to can be selected by single select and CTRL click or area select for multiple controls.

Font and Style

  • Font: The font of the selected text.
  • Font size (pt): The font size of the selected text.
  • Background fill color: Color the background of the selected control.
  • Font Color: The color of the selected text.
  • Bold: Make the selected text bold.
  • Italics: Italicize the selected text.
  • Underline: Underline the selected text.
  • Strikethrough: Draw a line through the middle of the selected text in the control.
  • Alignment tools: Align left, center, right or justify.
  • Clear Formatting: Clear all the formatting from the control.

General

  • Alternate text: The alternate text to display to aid accessibility (Applicable to the Image control only).
  • Background image: The image to set for the background.
  • Border color: The color for the border.
  • Border style: The style for the border.
  • Border width (Pixels): The width of the border in pixels. Set to zero to hide the border.
  • Button action: This selects the functions of the button. Select JavaScript to specify custom functionality (Applicable to the Button control only).
  • Button label: The text to display on the button (Applicable to the Button control only).
  • Color: The color of the line (Applicable to the Border control only).
  • Connected to: The field to bind the control to.
  • Display format: Select the type of choice to display; option buttons, checkbox, list and drop down (Applicable to the Choice control only).
  • Image URL: The URL for the image (Applicable to the Image control only).
  • List: The ID or name of the list (Applicable to the List View control only).
  • List Item ID: The ID of the item in the list to display (Applicable to the List Item control only)
  • Name: The name of the control. This name is used for comparison validation and other control settings.
  • Source: The URL of the page/document to show in the page viewer (Applicable to the Page Viewer control only).
  • Source SharePoint site: The URL or GUID of the SharePoint site the list is in (Applicable to the List View control only).
  • Text: The text to display next to the checkbox (Applicable to the Yes-No control only).
  • Title: The title of the panel. If a title is supplied, the panel will render as a HTML fieldset.
  • View Name: The name of the view in the list that is displayed. If not specified, the default view will be displayed (Applicable to the List View control only).
  • Width (Pixels): The width of the line in pixels (Applicable to the Border control only).

Appearance

  • CSS class: The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings)
  • Display border: Hide or show a border around the control (Applicable to the Repeating Section control only).
  • Horizontal width: The width of the control as a %, pixel or point value (Applicable to the Button control only).
  • Vertical width: The height of the control as a %, pixel or point value (Applicable to the Button control only).

Advanced

  • Max length: The maximum length of the text that can be entered (Applicable to the Single line textbox control only).
  • Password: Hide the password text with asterisks (Applicable to the Single line textbox control only).
  • String format: The string format to apply to the displayed value.
  • View mode text: The text displayed on the button when the form is in view mode (Applicable to the Button control only).

Related topics

Manage form controls
Form and Layout settings
Control Settings


Geolocation

Geolocation
​

The Geolocation Control

The Geolocation control enables users to specify location by either pressing a button to locate their current longitude and latitude or by manually entering coordinates.

Note: To use the "Use my location" functionality the client's browser needs to support the appropriate functionality and the use of the form needs to permit the form to use it. If the user's browser or the SharePoint site's master page has disabled HTML5 capabilities then the user will need to specify the location manually.

Control Settings

Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.

Section | Selection | Description | Nintex Mobile​
General Name The name of the control. The name is used for comparison validation and other control references.
 Yes
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control. ​Yes
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control. ​Yes
​ ​Connected to ​The field to bind the control to. This can either be a SharePoint 2013 Geolocation column or a single line of text. ​Yes
​ ​Location Button Text ​The text to display on the “Use my location” button. If left blank “Use my location” is displayed. ​No
​ ​Manual Input ​Enable, Disable or hide the manual input fields for specifying the Geolocation manually. By disabling or hiding this, the control can no longer be marked as required as not all users will be able to specify a location. ​No
​Appearance | ​Visible | ​Hide or show the control at runtime. | ​Yes
​ ​Enabled ​Enable the control to receive user input during runtime. ​Yes
​Formatting
(Classic Forms Designer only) 		​Control CSS class ​The CSS class to apply to the inner elements of the control. ​No
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings. ​No
​ ​Border ​Draws a line along the select border of the control. ​No
​ ​Border Style ​The style of the border. ​No
​ ​Border Width (Pixels) ​The width of the border in pixels. ​No
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html. ​No
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control. ​No
​Validation ​Required ​The form will not submit unless this control is completed correctly.
If Yes is selected:
Required error message: The error message to display when the required field is not specified.
 ​Yes
​ ​Use custom validation for latitude ​Enables the custom JavaScript validation for the latitude portion of the control.
If Yes is selected:
Custom validation function: Specify the JavaScript function name for the client side custom validation. Note: The JavaScript function is to be specified in the Custom JavaScript section within the form's Settings.
Custom error message: The error message to display when an invalid value is entered.
Note: Custom JavaScript is available in the Classic Forms Designer only. 		​No
​ ​Use custom validation for longitude ​Enables the custom JavaScript validation for the longitude portion of the control.

If Yes is selected:

Custom validation function: Specify the JavaScript function name for the client side custom validation. Note: The JavaScript function is to be specified in the Custom JavaScript section within the form's Settings.
Custom error message: The error message to display when an invalid value is entered.
Note: Custom JavaScript is available in the Classic Forms Designer only. 		​No
​Advanced | ​Help text | ​Text that will be displayed to the user as a tooltip to guide the completion of the form. | ​No
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto. ​No
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form size and position of other controls accordingly. ​No​
Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Shortcut keys
Inserting reference fields
Control Properties Ribbon

​


Change Content Type

Change Content Type
​

The Change Content Type Control

The Change Content Type control enables users to change the content type for a list item in a SharePoint list where there are multiple content types on that list. It populates itself based on the context of the list. At runtime it relies on the form being run in edit full desktop mode and hence will not work when running in mobile mode.
Note: The Change Content Type control is not supported in Nintex Mobile.

Note: This control is available in the Classic Forms Designer only.

This control is not included in automatically generated forms. The designer must manually add this control to forms where it is required.
When changed, the control will refresh the page and load the form available for that content type (whether it is a customised Nintex Form or the default SharePoint form).
Note: In order for the control to show or hide its label the control association must be established via the name of this control and a specific label.
Note: When the list item is a folder it will only show folder content types, and similarly for documents/items.

Control Settings

Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.
Section | Selection | ​Description
General | Name | The name of the control. The name is used for control references to other controls.
​Appearance | ​Visible | ​Hide or show the control at runtime.
​​Formatting | ​CSS class | ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings
​ | ​Border | Draws a line along the select border of the control.
​ | ​Border Style | ​The style of the border.
​ | ​Border Width (Pixels) | ​The width of the border in pixels.
​ | ​Border Color | The color of the border. This can either be a HEX code or a named color that is supported by html.
​ | ​Padding Width (Pixels) | The amount of padding in pixels that will appear between the top, left and right border and the inner control.​
​Advanced | ​Resize at runtime | ​Allow the control to dynamically adjust its size, and adjust the form size and position of other controls accordingly.
Related Topics ​
Getting started with the form designer
Control Settings
Controls In Use
Shortcut keys
Inserting reference fields
Control Properties Ribbon

RespResponsib


Web Request

Web Request
​​​​​​​* This topic applies to Nintex Forms Enterprise Edition only​

Web Request control

The Web Request control allows you to look up data using external web services. Use this control to populate form fields using data managed in business applications and cloud services. Call REST APIs by specifying the service URL, request method (GET or POST), and authentication type, or create SOAP envelopes using the POST method.

Note: The Web Request control is not supported in Nintex Mobile.

Credentials must be stored in the SharePoint Secure Store service. You can test configuration using the Run Now dialog box.​
Example scenarios:
  • Display a live weather feed using the Yahoo weather API.​
  • Display products for user selection and filter by specified location using an external web service.

SOAP envelopes

You can create a SOAP envelope within the request body, using the POST method. The referenced SOAP connections must be correctly encoded.
Example configuration (Connection section):
​Selection | Setting
Request Method | POST
​Request Header | ​
​Request Body | ​<soapenv:Envelope xmlns:soapenv='http://schemas.xmlsoap.org/soap/envelope/'> <soapenv:Body> <GetListCollection xmlns='http://schemas.microsoft.com/sharepoint/soap/'></GetListCollection> </soapenv:Body> </soapenv:Envelope>
​Content Type | ​text/xml; charset="utf-8"
For information about SOAP syntax, see http://www.w3schools.com/webservices/ws_soap_syntax.asp.

Ribbon

The ribbon for the Web Service control displays the following buttons.
Run Now: Displays the Run Now dialog box. For more information, see Run Now.

Note: For an extensive list of the control properties Ribbon, including descriptions, refer to the Control Properties Ribbon.

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Section | Selection​ | Description
General | Name | The name of the control. This name is used for comparison validation and other control settings.
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control.
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control.
​ ID connected to ​The column to which to bind the XPath for value field.
Note: The selected column must be within the current list and must be of the type “Single line of text.”
Note: When Label or Text is selected for Display format, this field can only bind to XPath for display; XPath for value cannot be bound.
​ ​Text connected to ​The column to which to bind the XPath for display field.
Note: The selected column must be within the current list and must be of the type “Single line of text.” ​

 ​Display format

The type of control to display. Select one of the following options.

  • Check boxes (multiple selection)
  • Drop down list
  • Label
  • Option buttons
  • Text

Default value: Drop down list

​ ​Service URL ​Path to REST or SOAP service. Example: http://sales.crestan.com:8084/ProductService.svc/web/products
Note: You can insert references to named controls. For example, the form might have a named control for specifying the service URL to use for the call. Inserted references are formatted as red underlined font.

​Request method

Select an option.

  • GET
  • POST
​ ​Timeout (seconds)

Period of time to attempt sending the request.

Note: The request is not executed if the value is 0.

Default value: 10.
​ ​Request body ​(This field is displayed when POST is selected for Request method.)
​ ​Content type ​Specify the body type. Example: text/xml; charset="utf-8"
​(This field is displayed when POST is selected for Request method.)
​ ​Authentication type

Select an option.

  • Anonymous: No credentials required.
  • Basic authentication: Credentials required.
  • Windows authentication: Credentials required.
​ ​Secure Store target application ID Enter the target application ID stored in SharePoint Secure Store Service containing credentials for the service. The Secure Store Service must be in the default application proxy group. To view the proxy group for the service, use the Service Application Associations page in Central Administration. For more information about Secure Store Service on SharePoint, see the Microsoft article Configure the Secure Store Service in SharePoint 2013 .
(This field is displayed when the value selected for Authentication Type is something other than Anonymous.)
​ ​XPath for value

Value element for the XPath expression of the request. Example: //ID

For information about XPath syntax, see http://www.w3schools.com/xpath/xpath_syntax.asp.

(This field is displayed when Drop down list is selected for Display format.)

Note: Items lacking value or display are ignored.

​ ​XPath for display

Display element for the XPath expression of the request. Example 1: //Name Example 2: //*[name() ='List']/@Title

For information about XPath syntax, see http://www.w3schools.com/xpath/xpath_syntax.asp​.

​(This field is displayed when Drop down list is selected for Display format.)

Note: Items lacking value or display are ignored.

​ ​Execute in new mode ​Default: Yes.
​ ​Execute in edit mode ​Default: Yes.
​ ​​Execute in view mode ​Default: No.
​Appearance | ​Visible | ​​Hide or show the control at runtime.​
​ ​Enabled ​​Enable the control to receive user input at runtime.
​ ​Use custom "Please select" text Specify whether or not to use custom "Please select" text.
​(This field is displayed when Drop down list is selected for Display format.)
​Filtering Filter available selections​ ​Select one of the following options.
  • Display all items: Do not filter selections.
  • By a specified value: Filter selections by the specified value.
    Use this option to dynamically change the contents of the control. For example, you can filter the list of product names returned from the request to a specific location by inserting a reference to a named control on the form that is used to specify the location.
​ ​XPath for Where field ​XPath expression for the field in the source list to apply the filter to.​
For example, you might specify an XPath expression for a field that lists product names: //ProductName
​ ​Filtered by value ​The value to filter selections by.
Note: You can insert references to named controls. ​Inserted references are formatted as red underlined font.
For example, you might insert a reference to a named control on the form that is used to specify the location.
​Formatting
(Classic Forms Designer only) 		​Control CSS class ​The CSS class to apply to the inner input control.
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings).
​ ​Border ​Draws a line along the select border of the control.
​ ​Border Style ​The style of the border.
​ ​Border Width (Pixels) ​The width of the border in pixels.
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html.
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control.
​Validation | ​Required | ​The form will not submit unless this control is completed correctly.
​ ​Required error message ​Text to display if the control is not completed correctly.
(This field is displayed when Yes is selected for Required.)
​ ​Use custom validation ​Enables custom JavaScript validation for the control.
Note: Custom JavaScript is only available in the Classic forms designer.
​ ​Custom validation function Specify the JavaScript function name for the client side custom validation. Note: The JavaScript function is to be specified in the Custom JavaScript section within the form's Settings.
​(This field is displayed when Yes is selected for Use custom validation.)
Note: Custom JavaScript is only available in the Classic Forms Designer.
​ ​Custom error message The error message to display when an invalid value is entered. ​
​​(This field is displayed when Yes is selected for Use custom validation.)
​Advanced ​Custom headers (Optional.) ​Headers for the request, as name/value pairs. For examples of header values, see "Supported headers" below.
Click Add to specify a header.
Note: When specifying values, you can insert references to named controls.
​ ​Help text ​Help text that will be displayed to the user as a tooltip to guide the completion of the form.
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto.
​ ​Confirm value in connected column ​​When enabled, displays a warning on form submission if bound column values were updated outside Nintex Forms.
Note: Columns are bound to the control via the fields ID connected to ​and Text connected to. An example scenario for display of this warning is updating the value of the "Department" column for the related list item using SharePoint and then attempting to submit the form for that list item where the form control is bound to the "Department" column.
​ ​Store Client ID in JavaScript variable ​A JavaScript Variable will be created that references the Client ID of this control.
Note: Custom JavaScript is only available in the Classic Forms Designer.
​ ​Client ID JavaScript variable name The name of the variable to store the Client ID in.
(This field is displayed when Yes is selected for Store Client ID in JavaScript variable.)
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly.

Supported headers

This section lists supported and unsupported headers for use in the Custom headers field. Examples are provided for supported headers.

Examples of supported headers

Accept-Charset: utf-8
Accept-Datetime: Thu, 31 May 2007 20:35:00 GMT
Accept-Encoding: gzip, deflate
Accept-Language: en-US
Authorization: Basic QWxhZGRpbjpvcGVuIHNlc2FtZQ==
Cache-Control: no-cache
Cookie: $Version=1; Skin=new;
DNT: 1
From: user@example.com
Front-End-Https: on
If-Match: "737060cd8c284d8af7ad3082f209582d"
If-None-Match: "737060cd8c284d8af7ad3082f209582d"
If-Range: "737060cd8c284d8af7ad3082f209582d"
If-Unmodified-Since: Sat, 29 Oct 2014 19:43:31 GMT
Keep-Alive: 300
Max-Forwards: 10
Origin: http://www.example-social-network.com
Pragma: no-cache
Proxy-Authorization: Basic QWxhZGRpbjpvcGVuIHNlc2FtZQ==
TE: trailers, deflate
Upgrade: HTTP/2.0, SHTTP/1.3, IRC/6.9, RTA/x11
Via: 1.0 fred, 1.1 example.com (Apache/1.1)
Warning: 199 Miscellaneous warning
X-Att-Deviceid: GT-P7320/P7320XXLPG
X-Csrf-Token: i8XNjC4b8KVok4uw5RftR38Wgp2BFwql
X-Forwarded-For: client1, proxy1, proxy2
X-Forwarded-Host: en.wikipedia.org
X-Forwarded-Proto: https
X-HTTP-Method-Override: DELETE
X-Requested-With: XMLHttpRequest
X-wap-profile: http://wap.samsungmobile.com/uaprof/SGH-I777.xml

Ignored headers (see parenthetical comments)​

Accept: application/xml (default)
Connection: keep-alive
Content-Length: 348 (value is based on length of content)
Content-Type: application/xml (this value is set in the Content type field)
Date: Tue, 15 Nov 2014 08:12:31 GMT (default to system time)
Expect: 100-continue
Host: en.wikipedia.org:80 (extracted from url)
If-Modified-Since: Sat, 29 Oct 2014 19:43:31 GMT
Proxy-Connection: keep-alive
Range: bytes=500-999
Referer: http://en.wikipedia.org/wiki/Main_Page
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:12.0) Gecko/20100101 Firefox/21.0
​
Related Topics

Getting started with the form designer
Control Settings
Controls In Use
Connecting Controls to fields or variables
Shortcut keys
Inserting reference fields
Control Properties Ribbon​​​​​​


SQL Request

SQL Request
​​​​​​​​​* This topic applies to Nintex Forms Enterprise Edition only​

SQL Request control

The SQL Request control allows you to look up values from SQL databases. Use this control to populate drop-down lists and other display formats in your forms. Retrieve data from SQL databases by specifying server, database, authentication, stored procedure, and optionally stored procedure parameters for dynamic filtering. Using the values retrieved from the SQL database, the SQL Request control selects the value and display fields. The value field is stored in the specified column (see the control field “Value field”) while the display field is displayed on the form (see the control field “Display field”).​

Note: The SQL Request control is not supported in Nintex Mobile.

SQL credentials are retrieved from the SharePoint Secure Store service. You can test configuration using the Run Now dialog box.

Example scenarios:

  • Display products for user selection and show quantity remaining for selected product.
  • Display product names for user selection, dynamically filtered for the user-specified category and year.

Ribbon

The ribbon for the SQL Request control displays the following buttons.

Run Now: Displays the Run Now dialog box. For more information, see Run Now .

Note: For an extensive list of the control properties ribbon, including descriptions, see Control Properties Ribbon .

Control Settings

Note: Several settings allow Yes, No or Expression to be selected. Expression allows a formula to be constructed from reference tokens and functions. The expression must resolve to a Yes/No value at runtime to be valid. If the expression does not resolve to a Yes/No value it will revert to the default.
Section | Selection​ | Description
General | Name | The name of the control. This name is used for comparison validation and other control settings.
​

​Title

(Responsive Forms Designer only)

 ​Title of the control. The title is displayed as the label for the control.
​

​Description

(Responsive Forms Designer only)

 ​Description of the control. The description displays additional information or instructions for the control.
​ ​ID connected to ​The column to which to bind the value field of the returned value.
Note: The selected column must be within the current list and must be of the type “Single line of text.”
Note: When Label or Text is selected for Display format, this field can only bind to the display field (Display field); Value field cannot be bound.
​ ​Text connected to ​The column to which to bind the display field of the returned value.
Note: The selected column must be within the current list and must be of the type “Single line of text.” ​
​ ​Display format The type of control to display. Select one of the following options.
​
  • Check boxes (Multiple-Selection)
  • Drop down list
  • Label
  • Option buttons
  • Text

Default value: Drop down list

​ ​Server ​Server hosting the SQL database.
​ ​Database ​The SQL database.
​ ​Connection timeout (seconds) ​Period of time to attempt sending the request.
Note: Do not specify 0 as this value indicates no limit and causes indefinite waits for connection attempts.
Default value: 10.
​ ​Authentication type

​Select one of the following options.

  • SQL authentication
  • Windows authentication
​ ​Secure Store target application ID ​​Enter the target application ID stored in SharePoint Secure Store Service containing credentials for the service. The Secure Store Service must be in the default application proxy group. To view the proxy group for the service, use the Service Application Associations page in Central Administration. For more information about Secure Store Service on SharePoint, see the Microsoft article Configure the Secure Store Service in SharePoint 2013 .
​ Query type ​Select one of the following options.
  • Stored procedure
  • SQL

Default value: Stored procedure.

Note: To prevent SQL injection, Nintex recommends using stored procedures instead of free-form SQL queries. ​As a further security measure, Nintex recommends leveraging a read-only connection to the database. For more information about preventing SQL injection, see the Open Web Application Security Project (OWASP) article SQL Injection Prevention Cheat Sheet .

​ ​Stored procedure name ​Specify the name of the stored procedure.

​(This field is displayed when Stored Procedure is selected for Query type.)

​ Stored procedure parameters​ When parameter name/value pairs are specified, filters the results from the stored procedure. You can filter using values of other controls on the form.
For example, let's say that the form includes named controls "Category" and "Year." You want the form to display product names (Display field) from the stored procedure results (Stored procedure name), but dynamically filtered for the entered category and year. In this scenario, you add a parameter referencing the named control "Category" and another parameter referencing the named control "Year." At runtime, the displayed product names correspond to values entered for these named controls.
Click Add to specify a parameter.
(This field is displayed when Stored Procedure is selected for Query type.)

​Query

Type a free-form SQL query.

(This field is displayed when SQL is selected for Query Type.)

Note: To prevent SQL injection, Nintex recommends using stored procedures instead of free-form SQL queries. For more information about preventing SQL injection, see the Open Web Application Security Project (OWASP) article SQL Injection Prevention Cheat Sheet.

Note: You can insert references to named controls. Inserted references are formatted as red underlined font.

The following example query selects employee IDs and first names based on the value specified for the named control "Title." The employee ID is used as the value field and the name is used as the display field.

select FirstName, EmployeeID from Employees where Title like 'Title'

​ ​Value field

Column for retaining value of selected item.

​ ​Display field Result column to display on the form.
​ ​Execute in new mode ​Default: Yes.
​ ​Execute in edit mode ​Default: Yes.
​ ​Execute in view mode ​Default: No.
​Appearance | ​Visible | ​Hide or show the control at runtime.
​ ​Enabled ​​Enable the control to receive user input at runtime.
​ ​Use custom "Please select" text ​Specify whether or not to use custom "Please select" text.
​Formatting
(Classic Forms Designer only) 		​Control CSS class ​The CSS class to apply to the inner input control.
​ ​CSS class ​The CSS class to apply to the control. This is used to apply advanced styling options. The Custom CSS class is defined in Form Settings (refer to Form and Layout settings).
​ ​Border ​Draws a line along the select border of the control.
​ ​Border Style ​The style of the border.
​ ​Border Width (Pixels) ​The width of the border in pixels.
​ ​Border Color ​The color of the border. This can either be a HEX code or a named color that is supported by html.
​ ​Padding Width (Pixels) ​The amount of padding in pixels that will appear between the top, left and right border and the inner control.
​Validation | ​Required | ​The form will not submit unless this control is completed correctly.
​ ​Required error message ​Text to display if the control is not completed correctly.
(This field is displayed when Yes is selected for Required.)
​ ​Use custom validation ​Enables custom JavaScript validation for the control.
Note: Custom JavaScript is available in the Classic forms designer only.
​ ​Custom validation function Specify the JavaScript function name for the client side custom validation. Note: The JavaScript function is to be specified in the Custom JavaScript section within the form's Settings.
​(This field is displayed when Yes is selected for Use custom validation.)

Note: Custom JavaScript is available in the Classic Forms Designer only.
​ ​Custom error message The error message to display when an invalid value is entered. ​
​​(This field is displayed when Yes is selected for Use custom validation.)
​Advanced | ​Help text | ​Help text that will be displayed to the user as a tooltip to guide the completion of the form.
​ ​Control Mode ​Force control to be in Edit mode, Display mode, or set to Auto.
​ ​Confirm value in connected column​ ​When enabled, displays a warning on form submission if bound column values were updated outside Nintex Forms.
Note: Columns are bound to the control via the fields ID connected to ​and Text connected to. An example scenario for display of this warning is updating the value of the "Department" column for the related list item using SharePoint and then attempting to submit the form for that list item where the form control is bound to the "Department" column. ​
​ ​Store Client ID in JavaScript variable ​A JavaScript Variable will be created that references the Client ID of this control.
Note: Custom JavaScript is available in the Classic Forms Designer only.
​ ​Client ID JavaScript variable name The name of the variable to store the Client ID in.
(This field is displayed when Yes is selected for Store Client ID in JavaScript variable.)
Note: Custom JavaScript is available in the Classic Forms Designer only.
​ ​Resize at runtime ​Allow the control to dynamically adjust its size, and adjust the form length and position of other controls accordingly. ​

    Related Topics

    Getting started with the form designer
    Control Settings
    Controls In Use
    Connecting Controls to fields or variables
    Shortcut keys
    Inserting reference fields
    Control Properties Ribbon

​​​​


Page Break Guide
​​​​* This topic applies to Nintex Forms Enterprise Edition only
​​​​​​​​​* Supported for use in Desktop layouts only in the Classic Forms Designer

Page Break Guide

The Page Break Guide control allows you to decide where a form will have page breaks when rendered using Print to PDF.​ Use this control to force a form to break at certain points when being printed.

Note: The control cannot be nested in other controls. If it overlaps another control, the page will only break after the overlapped control when rendered as a PDF. The control's width cannot be changed.

Control Settings

Section | Selection | Description
General | Name | The name of the control. The name is used for comparison validation and other control references. ​
​

Related Topics

Form and Layout settings
Print to PDF


List of controls

List of controls
​​This topic lists all controls available with ​Nintex Forms.

For information on the control properties ribbon, see Control Properties Ribbon.

Attachment Control
Border
Button
Calculated Value
Change Content Type
Choice
Date Time
External Data Column
Geolocation
Hyperlink
Image
Label
List Item
List Lookup
List View
Managed Metadata
Multi Line Textbox
Page Break Guide
Page Viewer
Panel
People
Recurrence
Repeating section
Rich Text
Single Line Textbox
SQL Request
Web Request
Workflow Diagram
Yes-No


Using the Form Designer

Nintex Forms 2013
Using the Form Designer

Topics in "Using the Form Designer"
28 items

Getting started with the form designer

Shortcut keys

Importing and exporting forms

Controls In Use

Connecting Controls to fields or variables

Designing a form for a mobile device

Inserting reference fields

Inline functions

Control Settings

Saving and publishing forms

Form and Layout settings

Live Settings

Linked Controls

Designing forms in Nintex Workflow

CSS Styles

Formula Builder

Inline functions usage examples

Rules

Previewing a Form

Runtime Functions

Lookup Function

Form Variables

Run Now

Forms functionality supported for use with Nintex Mobile

Print to PDF

Rules in the Responsive forms designer

Properties

Updating themes in the Responsive Forms Designer


Getting started with the form designer

Getting started with the form designer
​​​

Getting started with the Nintex Forms designer

The Nintex Forms designer lets you create customized forms within your SharePoint environment quickly and easily. Forms can be consumed on most common mobile devices such as Smart Phones, Windows Phones, iPhones, Androids and iPads. Nintex offers two Forms designers:

  • The Responsive Forms Designer allows you to create forms that automatically adapt to the device they are displayed on.
  • The Classic Forms Designer allows you to create pixel-perfect forms using layouts to control how the form appears on each device.

Once a form has been designed, the Forms designer automatically generates the form on other devices. You can also publish the form to the cloud with one click. For more information, see Saving and publishing forms.

Note: Your administrator may have configured your experience to use a single designer only.M/p>

Note: For information on how to create a new form for a list or a content type, refer to Create a Form below.

The Form Designer screen

The designer screen contains four main areas. The Ribbon at the top, the Form Controls toolbox on the left, the Controls In Use and Rules panes on the right (hidden by default) and the form design canvas in the center.

The Form Controls toolbox

The controls toolbox displays the controls which can be added to forms in the design canvas. The controls are divided into categories of related control types and preconfigured controls.
Click the heading of a category to view the controls in that group. The default categories are:
  • General: Unconfigured controls.
  • SharePoint: Unconfigured controls specific to SharePoint.
  • Content Type Columns*: Preconfigured controls for each column in the underlying content type.
  • List Columns: Preconfigured controls for each column in the underlying SharePoint List.
  • Task Columns*: Preconfigured controls for each column in the underlying SharePoint Workflow Tasks List.
  • Workflow Variables*: Preconfigured controls for each Nintex Workflow variable in the underlying workflow.
* shown only if designing a form for Nintex Workflow.
The preconfigured controls are automatically generated for content type columns, list columns, task columns and workflow variables that are related to the form. The Connected to property is automatically set to the corresponding related column or variable.

Resizing and hiding/unhiding the toolbox

  • To resize the pane: Click and drag on the expander bar on the inside edge of the toolbox.
  • To hide the toolbox: Click the drawing pin icon located on the top right corner of the toolbox header. The toolbox will collapse, leaving a visible tab.
  • To access the toolbox: Hover over the tab. The toolbox will be visible while the mouse remains over it and will be hidden when the mouse is moved away.
  • To make the toolbox remain visible: Click the drawing pin icon to pin the panel open.

The design canvas

The design canvas is used to creat the forms by dragging and dropping controls:

  • The Responsive Forms Designer canvas allows you to create themed forms based on four-column grids that automatically adapt to the device size.
  • The Classic Forms Designer canvas allows you to create pixel-perfect forms for multiple layouts, with control-specific formatting.

Adding controls to the design canvas

To begin designing a form, add controls to the canvas and configure each control: Drag a control from the toolbox and drop it into position onto the design canvas.
In the Classic Forms Designer, you can also right-click on the design canvas, select Insert Control and select the required control from the list.

Note:

  • The Insert Control option is only available if the mouse is over an area which is free of other controls.
  • Use the arrow keys to reposition a control once it is on the design canvas.

Selecting Controls

Select any control on the canvas by left-clicking with the mouse on it.

To select multiple controls:

  • Hold down the CTRL button and left-click with the mouse to select additional controls
  • Click and drag to highlight all controls within the area

Configuring controls

Please refer to Control Settings for more information on configuring a control.

Controls In Use pane

The Controls In Use pane provides a view of all of the controls which have been added to all of the layouts configured for the form. This is particularly helpful when forms contain numerous controls and layouts, and when replicating control(s) from one layout to another.
Please refer to Controls In Use for more information on the Controls In Use pane.

Note: The Controls in Use pane is available in the Classic Forms Designer only.

Properties pane

The Rules pane can be used to control:

  • The control settings and theme in the Responsive Forms Designer.
  • The control settings and layout in the Classic Forms Designer.

Rules pane

The Rules pane can be used to add dynamic formatting, visibility or editability changes to controls within any form based on defined conditions.
Please refer to Rules for more information on the Rules pane.

The Ribbons

At the top of the designer screen is the Nintex Forms Ribbon. The Design Ribbon appears slightly differently in the Responsive and Classic Forms Designers. The options and related Help topics for each are all listed below.

Responsive Forms Designer Design Ribbon

  • Save: Please refer to Saving and publishing.
  • Publish: Please refer to Saving and publishing forms.
  • Preview: Clicking Preview will display how the form will be rendered in the various configured device layouts. Please refer to Previewing a Form.
  • Close: Clicking Close will close the form designer and return to the original location. If the current form has not been saved, a prompt will appear to save before closing. If the form is not saved, the unsaved work will be lost.
  • Reset: Clicking Reset will reset the current form to the original, auto-generated state.
  • Delete Form: Clicking Delete will delete the current form. This will also restore the default form that was in use before a Nintex form was created.
  • Clear All: Clicking Clear All will remove all of the controls on the Default layout and delete all additional layouts.
  • Create Column: The Create Column button allows a column to be added to the current list.
  • Form Settings: Please refer to Form and Layout settings.
  • Import: Please refer to Importing and exporting forms.
  • Export: Please refer to Importing and exporting forms.
  • Properties: Displays the Properties pane.
  • Rules: Displays the Rules pane.

    • Classic Forms Designer Design Ribbon

    • Save: Please refer to Saving and publishing forms.
    • Publish: Please refer to Saving and publishing forms.
    • Preview: Clicking Preview will display how the form will be rendered in the various configured device layouts. Please refer to Previewing a Form.
    • Close: Clicking Close will close the form designer and return to the original location. If the current form has not been saved, a prompt will appear to save before closing. If the form is not saved, the unsaved work will be lost.
    • Reset: Clicking Reset will reset the current form to the original, auto-generated state.
    • Delete Form: Clicking Delete will delete the current form. This will also restore the default form that was in use before a Nintex form was created.
    • Clear All: Clicking Clear All will remove all of the controls on the Default layout and delete all additional layouts.
    • Versions: Available for list forms, displays a list of all saved and published forms. From this list a form can berolled back to a specific earlier saved or published version.
    • Import: Please refer to Importing and exporting forms.
    • Export: Please refer to Importing and exporting forms.
    • Clipboard options: Provides the option to Cut / Copy and Paste controls onto the current layout or to a different layout. Shortcut keys are available for the clipboard options.
    • Create Column: The Create Column button allows a column to be added to the current list.
    • Settings: Please refer to Form and Layout settings.
    • Form Variables: Please refer to Form Variables.
    • Live Settings: Please refer to Live Settings. (shown only if Nintex Live Forms has been enabled).
    • Device Layouts: Click on a device to create a form layout targeted to that device, or to switch between existing device layouts. The Layout device buttons appear greyed out with a "+" sign when the layout has not yet been created and active when the layout has been created. Only some device layouts will appear on the Ribbon; access to all remaining device layouts are accessible through the Other Devices button. For adding device layouts and selecting which layouts appear on the Ribbon, please refer to Manage device layouts.
    • Replace With Layout: Clicking Replace With Layout allows a selected layout to replace the current layout. This will discard all controls on the current layout and add all controls from the selected layout.
    • Delete Layout: Clicking Delete Layout will delete the current layout and return to the default layout.
    • Workflow Settings: Allows changes to be made to workflows that are associated with this list. Alternatively, use to add a workflow to the list.
    • Controls in Use: Displays the Controls In Use pane.
    • Rules: Displays the Rules pane.
    • Workflow Variables: Create workflow variables and start data (only if designing a form in Nintex Workflow). Please refer to the Nintex Workflow Help file.

    Ribbon Extras

    • Undo icon: Undo the last action. A stack of up to 50 undo actions is available.

    Note: Changes to Rules cannot be undone; with the exception of deleting a rule.

    • Redo icon: Reverses the most recent Undo action.

    Creating a form

    To create a new form for a List:

    1. Select the List tab on the List Tools Ribbon.

    2. In the Customize List group, click the Nintex Forms button to edit the default list form. If the list contains multiple content types, click the drop- down and select Customize the [Content Type] Form from the menu options.

    To create a new form in Nintex Workflow (requires Nintex Workflow to be installed and configured), refer to Designing forms in Nintex Workflow for more information.

    The Nintex Forms designer will open in the current window.

    To create a new form for a Content Type:

    1. Navigate to the content type's information page (e.g. Site Actions > Site Settings > Site Content Types).

    2. In the Settings section, click on Edit form with Nintex Forms.

    The Nintex Forms designer will open in the current window.

    Note: All lists using the content type will inherit the designed Nintex form.

    Related Topics

    Controls In Use
    Control Settings
    Print to PDF​
    ​Form and Layout settings
    Saving and publishing forms
    Importing and exporting forms
    Live Forms settings
    Manage device layouts
    Designing forms in Nintex Workflow
    Rules
    Form Variables​

    forms|Saving and publishing forms]].


Shortcut keys

Shortcut Keys

A shortcut key is a combination of keys that executes a specific function or command within the Nintex Forms application.

Responsive Forms Designer shortcut keys

The following are the shortcut keys that are available for use when designing a form in the Responsive Forms Designer:

Shortcut​ keys | Description
Ctrl + Z​ | Undo last action​
​Ctrl + Y | ​Redo most recent undo
Delete​ | Delete the selected control(s)​​

Classic Forms Designer shortcut keys

The following are the shortcut keys that are available for use when designing a form in the Classic Forms Designer:

Shortcut​ keys | Description
Ctrl + Shift + A​ | Select all controls on the layout​
Ctrl + Shift + C​ | Copy the selected control(s) to the clipboard
Ctrl + Shift + X​​ | Remove the selected control(s) and copy to the clipboard
Ctrl + Shift + V​​ | Paste the copy/cut control(s)​ from the clipboard
Ctrl + Shift + B​​ | Bring the selected control(s)​ to the front
Ctrl + Shift + S​ | Send the selected control(s)​ to the back
Ctrl + Z​ | Undo last action​
​Ctrl + Y | ​Redo most recent undo
Delete​ | Delete the selected control(s)​​
​Ctrl + Shift + F | ​Copy the font and styles from the selected control(s) using Format Painter.

Related Topics

Getting started with the form designer
Linked Controls
Control Settings
Controls In Use


Importing and exporting forms

Importing and Exporting Forms

Nintex forms can be imported and exported to the local file system as '.xml' files. This is useful when copying forms from one server to another or for other file transfer scenarios.

The exported file can then be imported into a different SharePoint List, workflow action or another workflow, or as a template. When exporting a form, all of the configured device layouts are included in the export file. This results in all device layouts being imported when importing the file as a form or as a template. Please refer to Associating templates to device layouts for more information.

Note: Classic and Responsive forms can only be imported into their respective designers. You cannot import a Classic form into the Responsive Forms Designer, or import a Responsive form into the Classic Forms Designer.

Exporting a form

To export the form:

  1. Select the Export button from the Nintex Forms Ribbon in the form designer.
  2. Click the Save button and follow the standard procedure for downloading and saving files from the web browser (consult the web browser documentation for more information on downloading and saving files).

Importing a form

Note: When importing a form it will overwrite any of the current form design.

  1. Select the Import button from the Nintex Forms Ribbon in the form designer.
  2. If there are unsaved changes to the form, a warning message dialog will appear.
  3. Click OK.
  4. Use the Browse button to locate the Nintex Forms export file (.xml) to upload.
  5. Click the Import button from the Ribbon.

Note: When exporting a Nintex Workflow that includes forms edited in Nintex Forms, the forms will be included in the Nintex Workflow export file(.nwf).

Related Topics

Associating templates to device layouts
Form and Layout settings
Saving and publishing forms


Controls In Use

Controls in Use

The Controls In Use pane can be used to easily identify which controls are:

  • On all layouts
  • Not on the current layout
  • On a specific layout

Note: The Controls in Use pane is available in the Classic Forms Designer only.

To open the Controls in Use pane

  • In the Nintex Workflow Design Ribbon, click on the Controls in Use button.

Selecting a control not on the current layout

  • The control will appear dimmed in the Controls In Use pane.
  • When dragging onto the current layout, the cursor tooltip will display “Add to layout”. This will create a Linked Control.

Selecting a control already on the current layout

  • The control will appear active in the Controls In Use pane.
  • When dragging onto the current layout, the cursor tooltip will display “Create a copy of...”. This will create a stand-alone copy of the Control.

Related Topics

Getting started with the form designer
Control Settings


Connecting Controls to fields or variables

Connecting controls to fields or variables

Use the Connected to property when specifying the field (list column) or workflow variable that the control will read and store data to. (This is also known as "binding” the control to the field or variable).

Note: If the form has been saved and changes are made to a field (list column) or workflow variable that is Connected to a control, the control on the form will not be updated. Either manually make the changes to the control settings, or remove the control from the form and re-add the pre-configured control onto the form using the Controls Toolbox. An example would be the choices available for selection in a Choice control. The Choice control on the form will retain the same values as when the form was saved.

CAUTION: Make sure your form only has one control per field or variable. If multiple controls are connected to a single field or variable, then the value of that field or variable is determined by the bottom-most connected control; values entered for other connected controls are lost.​

Setting the Connected to property

  1. Configure the list column, workflow variables (only available when designing forms in Nintex Workflow) or task content types.
  2. Select the control and use the Connected to drop down in the Ribbon or set the Connected to property in the Control Settings dialog.

Note: If a default value is specified for the field or workflow variable that the control is being Connected to, this value will overwrite any default value specified for the control.

Note: Form controls are not always required to be bound to a column or workflow variable. If the control is not bound, the form can still be published and information collected. The information collected in the form control will be saved within the form even though it is not bound to a column or workflow variable. In order to view the collected information, open the form in view mode.

Related Topics

Getting started with the form designer
Control Settings
Inserting reference fields
Linked Controls


Designing a form for a mobile device

Designing a form for a mobile device

Designing a Form for Mobile Devices

Creating forms for mobile devices functions differently between the two forms designers.

Designing a Form for Mobile Devices in the Responsive Forms Designer

To make a form available for mobile devices in the Responsive Forms Designer:

  1. Open the Form Settings dialog in the Designer Ribbon.
  2. Open the Nintex Mobile Settings area.
  3. Select Publish to Nintex Mobile (iOS and Android).

Designing a Form for Mobile Devices in the Classic Forms Designer

Layouts allow a form to be targeted to different mobile devices using defined screen dimensions set in the Manage device layouts settings. Additionally, some layouts are especially designated for the Nintex Mobile App.

To create a form layout for a device

  • Click the desired layout button (e.g. Smartphone, WP7, iPad, Nintex Mobile Tablet, Nintex Mobile Phone) in the Nintex Forms Ribbon or from the Other Devices drop-down list.

The first time a device layout is selected for a form, the controls currently on the default layout will be copied to the selected device layout.

Add or remove controls as required and adjust the position, size, and settings of the controls to suit the device layout.

Note: The Controls In Use panel may be helpful in identifying controls that are in use on other layouts which are not on the current layout.

Creating a form layout for the Nintex Mobile App

Creating a form layout for the Nintex Mobile App is the same as creating a layout for viewing through the browser.

However, please note:

  • The form as rendered on the Nintex Mobile App may differ significantly from the visual layout in the Nintex Forms Designer. This is because these form layouts will be further optimised for the native operating system. Therefore, the preview functionality for these device layouts has been disabled by default.
  • Some forms functionality is not supported for use in Nintex Mobile layouts. For details, see Forms functionality supported for use with Nintex Mobile.

Related Topics

Getting started with the form designer
Importing and exporting forms
Manage device layouts
Controls In Use
Saving and publishing forms
Forms functionality supported for use with Nintex Mobile​


Inserting reference fields
​​

Inserting Reference Fields

Insert references to create dynamic values to be used in settings or displayed as text. Reference tokens and functions are calculated at runtime and the resulting values are used in the form.

To insert a referenc​e:

  1. Click [image] to display the Insert Reference dialog box.
  2. In the Insert Reference dialog box, select the reference category tab and then double-click the reference to add it to the Dynamic text to insert text box.
  3. In the Dynamic text to insert text box, add any required text or function arguments.
  4. Click OK to save changes and close the dialog box.

Reference categories​

Reference categories are indicated by tabs in the Insert Reference dialog box. Availability of reference categories depends on the context in which the Insert Reference dialog box is accessed. Following are possible reference categories.

  • Common: General tokens and properties specific to the context of the list item, or the workflow and the current task within the workflow (requires Nintex Workflow). Following are references in this category.
    • Approval URL (via Nintex Live): The Nintex Live URL to the task response form for the current task.
    • Current Date: The current date.
    • Current Time: The current time.
    • Current User: The user domain and user name of the current user.
      • When inserted as a function (for example, with the Calculated Value control), will display user domain and user name.
        Example of returned value for an account using claims-based authentication: i:0#.w|crestan\jsmith
        Example of returned value for an account using integrated Windows authentication: crestan\jsmith
      • When inserted as a value (for example, default value for a People control field), resolves to the display name.
        Example of returned value for a SharePoint user: John Smith
    • Is Display Mode: Returns true if the form is in display or view only mode.
    • Is Edit Mode: Returns true if the form is in edit mode.
    • Is New Mode: Returns true if the form is in new mode.
    • Is Nintex Live: Returns true where the form is displayed using Nintex Live Forms.
    • Item Display Name: The display name of the current list item.
    • Item URL: The URL of the current list item.
    • List ID: The unique ID of the current list.
    • List Name: The name of the current list.
    • New Line: The new line character.
    • Site Collection ID: The ID of the current site collection.
    • Site ID: The ID of the current site.
    • Site Name: The title of the current site.
    • Tab: The tab character.
    • Web URL: The full URL of the current site.
  • Inline Functions: Allows for additional processing on a text or value, calculated at the time the form is loaded. Refer to inline functions for more information.
  • Item Properties: Columns available for the list item.
  • Named Controls: Named controls in the current form. Inserting a reference to a named control dynamically references the value specified for the named control in the form at runtime.
  • Runtime Functions: Allows for additional processing on a text or value, calculated at the time the form is loaded and when any changes occur in fields within the form. Refer to Runtime Functions for more information.
  • ​Workflow Constants (available when designing forms in Nintex Workflow): Globally set values for use in workflows. Workflow constants are set globally for Nintex Workflow at the level of web farm, site collection, or site.
  • Workflow Variables (available when designing forms in Nintex Workflow): Variables configured for the workflow.

Note: Additional references are available when designing a form in Nintex Workflow. Please refer to the Nintex Workflow help file for more information.

Related Topics


Inline functions

Inline Functions

In any text input that supports inserting reference fields, an inline function can be entered which will be resolved to a value at runtime.

A number of functions are provided out of the box. These functions are listed in this topic in the "Function reference" section.

Functions can also be used as arguments for other functions.

You can add custion inline functions using the SharePoint 2013 SDK.

Function behavior

The parsing engine replaces any inserted reference tokens first, and then the resulting text is evaluated for functions.

If a function contains another function as an argument, the inner most function will be evaluated first.

As reference tokens are replaced first, the reference token can also contain function syntax that will be evaluated.

Functions cannot refer to named controls.

Function reference

And

Returns true if the first function and the second function returns true.
Usage
fn-And(greaterthan(value1,value2), lessthan(value3,value4))
Arguments
  • function1: A function which returns a boolean (true/false) value.
  • function2: A function which returns a boolean (true/false) value.

Contains

Returns true if the first argument contains (at the beginning, at the end, or anywhere within) the second argument.
Usage
fn-Contains(value1, value2)
Arguments
  • value1: A string value that might contain value2.
  • value2: A string value that might be contained in value1.

DoesMemberExistInAudience

Returns true if the current user belongs to the SharePoint audience.
Usage
fn-DoesMemberExistInAudience(SharePointAudience)
Argument
  • SharePoint Audience: The string value of the SharePoint audience to evaluate if the current user is a part of.

EndsWith

Returns true if the first argument ends with the second argument.
Usage
fn-EndsWith(value1, value2)
Arguments
  • value1: A string value that might end with value2.
  • value2: A string value that might be used at the end of value1.

Equals

Returns true if the second argument is equal to the first argument.
Usage
fn-Equals(value1, value2)
Arguments
  • value1: A string value that value2 is to be compared to.
  • value2: A string value to compare to value1.

GetQueryString

Returns the value for a specific key in the query string. This can be used to specify default values for the People and Single Line Textbox controls by including query string parameters in the URLs that opens the form in New mode.

If the key cannot be located in the query string, a blank value will be returned. If there is any potentially damaging JavaScript in the value, it will be removed before being inserted into the form or control settings.

Usage

fn-GetQueryString(key)

Arguments

key: a string that represents the parameter name passed to the form via the query string.

GreaterThan

Returns true if the second argument is greater than the first argument.

Usage
fn-GreaterThan(value1, value2)

Arguments

  • value1: An integer value that value2 might be greater than.
  • value2: An integer value that might be greater than value1.

GreaterThanOrEqual

Returns true if the second argument is greater than or equal to the first argument.

Usage
fn-GreaterThanOrEqual(value1, value2)

Arguments

  • value1: An integer value that value2 might be greater than or equal to.
  • value2: An integer value that might be greater than or equal to value1.

IsCurrentUser

Returns true if the current user is the same user specified in the string argument.
Usage
fn-IsCurrentUser(username)
Argument
  • username: The string value to evaluate if it matches the current username. The username includes the domain name. e.g. crestan\johndoe

IsDate

Returns true if the argument is a date.
Usage
fn-IsDate(value)
Argument
  • value: The string value to evaluate if it is in a date format.

IsMemberOfGroup

Returns true if the current user belongs to the Windows / SharePoint group specified in the string argument.
Usage
fn-IsMemberOfGroup(groupname)
Argument
  • groupname: The string value of the SharePoint group name to evaluate if the current user is a member of.

IsNullOrEmpty

Returns true if the argument is empty or null.
Usage
fn-IsNullOrEmpty(value)
Argument
  • value: The string value to evaluate if it's empty or null.

IsNumeric

Returns true if the argument is a number.
Usage
fn-IsNumeric(value)
Argument
  • value: The string value to evaluate if it is a number.

LessThan

Returns true if the second argument is less than the first argument.

Usage
fn-LessThan(value1, value2)

Arguments

  • value1: An integer value that value2 might be less than.
  • value2: An integer value that might be less than value1.

LessThanOrEqual

Returns true if the second argument is less than or equal to the first argument.

Usage
fn-LessThanOrEqual(value1, value2)

Arguments

  • value1: An integer value that value2 might be less than or equal to.
  • value2: An integer value that might be less than or equal to value1.

Not

Returns the reverse of the boolean value. If value is true, then the function returns false. If value is false, function will return true. Use when you want to make sure a value is not equal to one particular value.
Usage
fn-Not(bool value)
Argument

Bool value: A value that evaluates to either true or false.

Or

Returns true if either the first function or the second function returns true.
Usage
fn-Or(greaterthan(value1,value2), lessthan(value3,value4))
Arguments
  • function1: A function which returns a boolean (true/false) value.
  • function2: A function which returns a boolean (true/false) value.

StartsWith

Returns true if the first argument starts with the second argument.

Usage
fn-StartsWith(value1, value2)

Arguments

  • value1: A string value that might start with value2.
  • value2: A string value that might be used at the start of value1.

    SubString

    Extracts and returns a portion of text from a string.
    Usage

    fn-SubString(sourceString, startIndex, length)

    Arguments
    • sourceString: The entire string.
    • startIndex: The starting character (1-based).
    • length: The number of characters to include.

    Related Topics

    Inserting reference fields
    Inline functions usage examples


Control Settings

Control Settings

Opening Control Settings

When a control is on the form, there are three ways to open the control settings:

  • Double-click anywhere on the control.
  • Right-click anywhere on the control and select Settings.
  • Select a control and click Control Settings in the Control Properties Ribbon.

Note: Right-click is available in the Classic Forms Designer only.

Note: If a control has mandatory settings, a message will appear to show which settings require configuration.

Note: In addition to the tooltip warning message, a yellow warning bar will appear at the top of the design canvas. This will alert the form designer that one or more controls on the form contain incomplete configurations. It will not be possible to publish the form or the associated Nintex Workflow if any of the form's controls have incomplete configurations.

Related Topics

Getting started with the form designer
Connecting Controls to fields or variables
Controls In Use
List of controls


Saving and publishing forms

Saving and Publishing Forms

A form must be published in order to make it available to users. Published forms are automatically saved. Use the Save button to save changes to the form design without publishing.

In addition to the standard SharePoint publishing, forms can also be published to Nintex Live, an internet hosted service. For information on publishing to Nintex Live, refer to Publishing forms to Nintex Live below.

Saving a form

To save a form:

  1. In the Nintex Forms Ribbon, click the Save button.
  2. A progress indicator will display while the saving process occurs. If designing and editing a form in Nintex Workflow using Nintex Forms, a confirmation dialog is displayed when the form is saved.

The Confirm save dialog displays

- The device specific layouts that will be published with the form.

- The Live Settings configuration for the form (if Nintex Live Forms has been enabled). The Live Settings configurations can be changed by clicking on the Change link.

- Any mobile details as far as Nintex Mobile layouts created.

- The option to skip 'Confirm save" and "Save completed" dialogs. Selecting this option will no longer show the dialogs for the current form, on the current browser, until the option is rest in the "Form Settings" dialog. When selected, a toaster notification will be shown informing the user when the form has been saved successfully.

A Form saved successfully message will be displayed just below the Ribbon at the top right of the design canvas.

Note: If designing and editing a form in Nintex Workflow using Nintex Forms, only the Save button is available in the form designer Ribbon. The form is published when the workflow is published. Refer to Designing forms in Nintex Workflow for more information.

Publishing a form

Before a form becomes available to users within SharePoint lists and libraries, it must be published.

Note: If there are any form or control settings that have not been configured, the Publish button will be disabled.

To publish a form:

  1. In the Nintex forms Ribbon, click the Publish button. The Confirm publishing dialog will open.
  2. The Confirm publishing dialog displays:

- The device specific layouts that will be published with the form.

- The Live Settings configuration for the form (if Nintex Live Forms has been enabled).

- The Live Settings configurations can be changed by clicking on the Change link.

3. Click Publish.

This may take a few seconds. A Form published successfully message will display.

If the Publish and Close option is selected the form will close immediately after a successful publish.

Note: The form is automatically saved before it is published. It is not necessary to Save and then Publish a form.

Note: If a published form has controls that are connected to columns, workflow variables or labels that are associated to a bound control; property changes made to the columns or workflow variables will be automatically synchronized to the Nintex form without needing to republish the form.

Publishing forms to Nintex Live

In addition to the standard SharePoint publishing, forms can also be published to Nintex Live to provide access via the internet.

Note: Only the following form types can be published to Nintex Live:

  • List new item form
  • Site workflow start form (requires Nintex Workflow)
  • Workflow task form (requires Nintex Workflow)

Note: Only the Classic Forms Designer can publish forms to Nintex Live.

To configure settings for Nintex Live publishing:

  1. In the Nintex Forms Ribbon, click on the Live Settings.
  2. In the Live Settings dialog, select the Publish to Nintex Live option. Refer to Live Settings help topic for more information.
  3. Once all desired Live Settings options have been set, click Save.

To publish a form to Nintex Live:

  1. Ensure that settings for Nintex Live publishing have been configured and follow the steps outlined above in Publishing a form.

Important

If a published form has controls that are connected to columns, workflow variables or labels that are associated to a bound control; property changes made to the columns or workflow variables will be automatically synchronized to the Nintex form without needing to republish the form. However, if the form has already been published to Nintex Live, it must be republished to Nintex Live for the changes to reflect on the Live form.

If a workflow is configured to start when a new item is created:

  • When a list form is submitted by an anonymous user, the workflow will run under the identity of the form designer.
  • When a list form is submitted by an authenticated user, the workflow will try to run using the authenticated user's credentials if the user can be found in Active Directory. If the user credentials cannot be found, the workflow will run under the identity of the form designer. If the user is found but has no access to the list, the workflow will run under the identity of the form designer.

Unsupported features

The following are controls that cannot be rendered by Nintex Live. These controls will not appear in the form when viewed via Nintex Live:

  • External Data Column
  • Managed Metadata
  • Recurrence
  • People
  • List Item
  • List Lookup
  • List View
  • Workflow Diagram

Note: Task delegation scenarios are not supported in Nintex Live. If a workflow task form has a delegation link, it will be hidden.

Related Topics

Live Settings
Getting started with the form designer
Designing forms in Nintex Workflow
Form and Layout settings


Form and Layout settings
​​​​​​​​​​​

Form and Layout Settings

The Settings dialog includes settings that apply to the current layout, and advanced settings that apply to the form in general.

Note: Layout features are available in the Classic Forms Designer only. Layouts are not used in the Responsive Forms Designer.

Note: CSS formatting controls are available in the Classic Forms Designer only.

​Selection | ​Field | ​Description
General ​Grid cell height (pixels) The height of the grid cells on the current layout.
​ ​Grid cell width (pixels) ​The width of the grid cells on the current layout.
​ ​Canvas height (pixels) ​The height of the current layout.
​ ​Canvas weight (pixels) ​The width of the current layout.
​ ​Snap to grid ​When this setting is set to Yes, all controls on the layout are automatically positioned to the nearest gridline.
​ Show grid lines ​When this setting is set to Yes, the grid lines on the designer canvas will be displayed.
​ ​Skip "Confirm publishing/save" and "Publish completed" dialogs ​When this is checked, the publish list forms and the save in workflow forms will not show dialogs, and will be replaced with notification messages.
Appearance | ​Layout CSS class | The CSS classes to apply to the layout at runtime. The styles for a CSS class can be defined in the Custom CSS section.
​ ​Font family ​The default font for all controls on the layout.
​ ​Font size (pt) ​The default font size for all controls on the layout.
​ ​Background color ​The background color for the layout.
​ ​Font color ​The default text color for all controls on the layout.
​ ​Horizontal alignment ​The default text alignment for all controls on the layout.
​ ​Background image URL ​The URL of an image to use as the background of the layout.
​ ​Background image repeat ​Specify if the background image will repeat.
​ ​Form CSS class ​The CSS classes to apply to all layouts for the form at runtime. The styles for a CSS class can be defined in the Custom CSS section.
​Advanced | ​Redirect URL | ​The URL to redirect to after the form has been submitted successfully.
​ ​Target user agents ​The user agents used to determine when this layout is used at runtime. Enter each user agent on a new line.
​ ​Custom CSS includes ​The URLs to the custom CSS files to include at runtime. Enter each URL to the custom CSS on a new line.
​ ​Custom JavaScript Includes

​The URLs to the custom JavaScript files to include at runtime. Enter each URL to the custom JavaScript on a new line.

Note: Custom JavaScript is available in the Classic Forms Designer only.

​Custom CSS ​ ​Custom CSS styles to be included with the form at runtime. All custom CSS styles defined, can be used for a single layout (Layout CSS class), all layouts (Form CSS class) and individual controls (Control CSS class).

By default, the Nintex Forms CSS styles used by all forms are provided. For more information on CSS classes used in Nintex Forms, please refer to CSS Styles.

Note: CSS formatting controls are available in the Classic Forms Designer only.

​Custom JavaScript ​ ​Custom JavaScript to be included with the form to process runtime logic.
Note: Custom JavaScript is available in the Classic Forms Designer only.
​List Form Webpart | ​Configure List Form Webpart Confirmation Message | ​When set to Yes, this will allow you to specify a message to be displayed inside the list form web part once it is successfully submitted. This is an alternative to the redirect or the basic success message that displays above the web part.
​Nintex Mobile Settings | ​Use Default Form Name and Form Description | ​ Check this box to use the default form name and form description. Uncheck the box to change these titles. This will override the title and description of the form when displayed on your Nintex Mobile App.
​ ​Category ​Assign a category for the form to be displayed in. This is recommended. Forms without an assigned category will be displayed in the Nintex Mobile App under the "no category" group.
​ ​Icon ​The full URL of the icon that is displayed in the Nintex Mobile App for this specific form.
​ ​Use SharePoint Server Timezone​ ​When unchecked and a user accesses the form, their local time will be displayed. Check the box to use the timezone of the SharePoint server.
​ ​Publish to Nintex Mobile (iOS and Android)
(Responsive Forms Designer only) 		​Check this box to publish this form to Nintex Mobile apps.
Print to PDF​ ​​Page Size ​​​The size options. Select one of the following.
  • A3
  • A4
  • A5
  • A6
  • Legal
  • Letter

Default value: A4

​ ​Page Orientation
​​​​The orientation options. Select one of the following.
  • Portrait
  • Landscape

    • Default value: Portrait

Related Topics

Getting started with the form designer
Importing and exporting forms
Saving and publishing forms
Control Settings
Inserting reference fields
​​​​​​​Page Break Guide
Print to PDF


Live Settings

Live Settings

In addition to the standard SharePoint publishing, forms can be published to Nintex Live. Use the Live Settings option to configure settings for Nintex Live publishing.

Note: The Live Settings option is only enabled when Nintex Live Forms is enabled in Central Administration and the feature is activated on the site collection.

Note: This feature is only available in the Classic Forms Designer.

General

  • Publish to Nintex Live: When this setting is checked, the form will be published to the Nintex Live form hosting service (Nintex Live Forms).
  • URL: This is the URL to access the form and will only be shown after the initial publish. The form URL is unique and will remain the same even if the form is unpublished and republished to Nintex Live.
  • Shorten URL: When this setting is checked, the URL to the published form will be shortened using the Nintex URL shortening service (http://ntx.lv). Note: The shortened URL provided is case-sensitive.
  • Allow anonymous access: When this setting is checked, anonymous users are allowed to view and submit the form. Note: This setting is disabled by default. Refer to Live Forms settings for more information.
  • Users: Provide the email address of user(s) that are allowed to view and submit the form. The email address needs to be registered to a service provider in order for the specified user(s) to authenticate themselves. Nintex live will then be able to determine if the user viewing and submitting the form is as specified. Note: This setting is only available when Allow anonymous access is not checked. If specifying a group (SharePoint / Active Directory), the first 50 users resolved from the group will be used. After the form is published, if a new user is added to the group, the form must be published again for the new user to have access to the form.
  • Submissions per user: The number of times a single user can submit the form. Note: This setting is only available when Allow anonymous access is not checked.
  • Maximum submissions: The total number of times the form can be submitted. Note: This setting is only available when Allow anonymous access is checked.
  • Form Expiry Date: The date when the form can no longer be viewed or submitted.
  • Default time zone: The time zone the form will default to when accessed through Nintex Live. Any date/time entered using the live form will be stored according to this time zone unless overridden by the user filling out the form.

Cancel message

The message to be displayed to the user when a form submission is cancelled.

Confirmation message

The message to be displayed to the user after the form is submitted successfully.

Publishing the form to Nintex Live

Refer to Saving and publishing forms for more information.

Related Topics

Live Forms settings
Installing Nintex Live
Activating Nintex Forms
View Live forms
Saving and publishing forms


Linked Controls

Linked Controls

A Linked Control is a control that exists on more than one device layout. Any changes (formatting, settings) made to the control on one layout will affect all layouts containing that control.

A Linked Control is created whenever a control is copied from one layout to another layout that does not already contain a copy of that control.

Note: Layout features are available in the Classic Forms Designer only. Layouts are not used in the Responsive Forms Designer.

When a control is copied to a layout already containing a copy, it is created as a stand-alone copy. Settings changed on this copy will not affect other copies.
A linked control occurs by default when:
  • It is the first time a device layout is selected for a form. All controls are copied from the default layout to the selected device layout.
  • Using the Controls In Use pane and adding a control that is not on the current layout.
  • Using the Replace With Layout option in the Ribbon. All existing controls are deleted and all controls from the selected layout are copied to the current layout.

Identifying linked controls

  1. Open the control settings dialog.
  2. An information message at the top of the status bar will display, This is a linked control. These settings will affect all layouts containing this control.

OR

  1. When a control is selected on the design canvas, a link/chain icon will display in the center of the control.

To unlink a control

Linked Controls cannot be unlinked directly. To achieve the desired effect, create a second copy of the control on the same layout, and then delete the Linked Control.

Related Topics

Controls In Use
Getting started with the form designer
Control Settings
Form and Layout settings

Respon


Designing forms in Nintex Workflow

Designing forms in Nintex Workflow

Nintex Forms can be used to edit and design workflow start forms and task forms from within Nintex Workflow.

Note: To design forms using Nintex Forms in Nintex Workflow, the Nintex Forms for Nintex Workflow site collection feature must be activated. Refer to Activating Nintex Forms for more information.

The following Nintex Workflow forms can be edited using Nintex Forms:

  • Start form (list and site workflow)
  • Assign Flexi task
  • Request approval
  • Request review
  • Request data

Note: Nintex Forms does not support editing and designing Nintex Workflow forms in User Defined Actions.

Designing and editing Nintex Workflow forms

To design or edit Nintex Workflow forms using Nintex Forms:

  1. Open the Workflow Settings dialog (start forms), or the action settings dialog for one of the user request actions listed above (task forms).
  2. In the Ribbon, select Edit Task Form or Edit Start Form, then select Edit with Nintex Forms.
  3. The Nintex Forms designer will open in a new dialog. Edit the form as required. Refer to Getting started with the form designer for more information.
  4. Save the form once completed. No publish option is available in the Nintex Forms designer as the form is published when the workflow is published.
Note: To revert back to the default SharePoint form, set the Form type property to Default. The form created with Nintex Forms will be retained in the system and can be re-attached at any time by setting the Form type property back to Nintex Forms.
Note: For task forms within list workflows, the fields from the underlying list that the workflow is running on will be preloaded onto the form when it is created. These will be in read only and will replace the previously used list item control. This allows for the item information to be reviewed on live forms as well as Nintex Mobile.

Important

When designing start forms - The start form is auto-generated. All workflow variables that are set to Show on start form are added to the form when the form is first edited in Nintex Forms. Once the form has been saved, any new workflow variables that are set to Show on start form will not be displayed on the form. To add the new workflow variable onto the form, drag and drop the control from the Workflow Variable group in the Form Controls toolbox onto the form canvas.

When designing task forms for Assign Flexi task - The task form is auto-generated. The Outcomes are automatically added to the Decision choice control when the form is first edited in Nintex Forms. Once the form has been saved, any changes to the Outcomes will not be reflected in the Decision choice control. The values in the Decision choice control must be updated manually.

When designing task forms for Request data action - To create a new content type to collect data, the workflow must be saved and published. On publishing, the content type and columns specified are created. The task form can then be edited. The task form is auto-generated. All columns specified for the content type are automatically added to the form. Once the form has been saved, any new columns added to the content type will not be displayed on the form. A control must be added manually to the form and the Connected to setting must be set to the new content type column.

Shared forms

When a workflow action containing a form created with Nintex Forms is copied and pasted, each action will share the form by default.

When the form is edited, a dialog message will confirm whether a separate instance of the form should be created.

  • Clicking OK will create a copy of the shared form. Changes to the form from this point onwards will apply only to this action. The original form will not be modified.
  • Clicking Cancel will edit the shared form. Changes will affect this action and all other actions using this form.

Note: Once a separate instance of the form has been created and saved, the action cannot will not be able to revert back to the original shared form.

Publishing workflow forms to Nintex Live

Task forms (list and site workflow), and start forms (site workflow only), created with Nintex Forms can be published to Nintex Live.

  • To publish a form to Nintex Live, configure the forms Live Settings and save the form.
  • On a site workflow start form, the form is published to Nintex Live when the workflow is published.
  • On a task form, the form is published to Nintex Live when the workflow action is executed.

To provide assignees with the URL to access the Nintex Live Form:

  • Add the reference Approval URL (via Nintex Live) into the workflow action's Task Notification setting. Refer to Inserting reference fields for more information.

Important

When a site workflow start form is submitted by an anonymous user, the workflow will run under the identity of the form designer.

When a site workflow start form is submitted by an authenticated user, the workflow will try to run using the authenticated user's credentials if the user can be found in Active Directory. If the user credentials cannot be found, the workflow will run under the identity of the form designer. If the user is found but has no access to the site, the workflow will run under the identity of the form designer.

Related Topics

Activating Nintex Forms
Getting started with the form designer
Live Settings
Saving and publishing forms
Inserting reference fields


CSS Styles

CSS Styles

CSS stands for Cascading Style Sheets. Styles can be used to define how elements (including controls) on a form are displayed. Refer to w3schools.com for more information on CSS.

Note: Custom CSS formatting is available in the Classic Forms Designer only.

Note: Customizing the CSS styles is an advanced feature and should be approached with caution.

The following are the CSS styles that can be defined in the Custom CSS section within the Form and Layout settings when designing a form in Nintex Forms:

CSS class | Description
.nf-form-input | The upper most level DIV of controls that can accept a value.
.nf-filler-control-inner | The DIV that is below the upper most level DIV on any control.
.nf-form-label | The upper most level DIV of each label control on a layout.
.nf-textbox-wrapper | The parent element of the Single Line Textbox control.
.nf-section | The upper most DIV of any control.
.nf-section-bottom | The line below the last input control on a layout.
.nf-mobile-form | The outer DIV of mobile device layouts.
.nf-item | The odd numbered rows in the repeater control.
.nf-item-alternating | The even numbered rows in the repeater control.
.nf-non-dialog-outer | The outer DIV of the entire layout when it is loaded into a new tab/window instead of a SharePoint modal dialog.
.nf-filler-wrapper-outer | The first child DIV of the outer-most DIV.
.nf-filler-wrapper | The first child DIV of .nf-filler-wrapper-outer.
.nf-repeater-row | All the rows in the repeater control.
.nf-container-inner | The first child DIV of the parent DIV generated around a control.
.nf-image | The image control.
.nf-label-control | The label control.
.nf-form-footer | The footer information used by list forms and task forms.
.nf-form-line | The inside of the footer that draws a line to show the end of the form.
.nf-validation-summary | The DIV used to display any validation errors on the form.
.nf-error-highlight | The DIV used to highlight a control that contains validation errors.

Related Topics

Form and Layout settings
Getting started with the form designer
Control Settings


Formula Builder

Formula Builder

Formula Builder can be used to create calculated and concatenated values which can be displayed using a calculated value control which will display at run time. The Formula Builder is different from inline functions as the inline functions are resolved on form load at run time.

Formula behavior

Depending on the composition of the formula, the value that is displayed in the calculated value control will always calculate to reflect the current values entered in named controls that are included in the formula.

The formula builder supports Named Controls. A Named Control is when a control that has been added to the form is given a name. Most controls can be named by setting the Name property within the General section of the control.

Note: Not all controls are supported in runtime functions. Supported control types in runtime formulas include:
  • Yes/No
  • Calculation
  • Choice
  • Date time
  • Geolocation
  • Single line of text
  • Lookup
  • Multiline text box
  • People
Form variables can also be referenced in runtime expressions.

If the data type of all the values in the formula is a number, the formula will calculate the value.

String concatenations can be created by including the "+" symbol between named controls and string or number values.

Using the Runtime Functions

The runtime functions can be used to perform calculations for a set of values.

Examples of use:

  • To add two named controls called "intValue1" and "intValue2": intValue1+intValue2
  • To total all the values for a named control called "decAmount" that is within a repeating section: sum(decAmount)
  • To create a concatenation of a named control called "txtValue1" that holds a string value and a number: 1+txtValue1 ; Note other string values can be added to create other expressions. e.g. 1+"-"+txtValue1

Related Topics

Calculated Value
Inserting reference fields
Control Settings
Runtime Functions


Inline functions usage examples

Inline functions usage examples

Inline function usage scenarios

The following are examples on how to toggle the appearance (visible or enabled) of a control using an expression:

  • To show or hide a control when the form is in new or edit mode: fn-Or(Is New Mode, Is Edit Mode)
  • To show or hide a control when the form is in edit mode and the user is a member of the SharePoint group named Finance: fn-And(fn-IsMemberOfGroup(Finance), Is Edit Mode)

Related Topics

Inserting reference fields
Inline functions


Rules
​

Rules

Overview

Rules can be used to add dynamic formatting, visibility or editability changes to controls within any form based on defined conditions.

Note: For creating rules in the Responsive Forms Designer, see Rules in the Responsive Forms Designer.

Opening the Rules pane

To open the Rules pane, select the Rules button on the Nintex Forms Design Ribbon. Alternatively, select Add Rule in the Control Properties Ribbon.

By default, the Rules pane will show only those rules which are associated with every control currently selected. To show all rules included in the form, check the "Show all rules" box.

Adding Rules

  1. Select the control or group of controls you would like to assign a rule to.
  2. Click the Add Rule button in the Control Properties Ribbon, or the Add New Rule button in the Rules pane.
  3. Create rule.
  4. The newly created rule will be assigned to all the controls which were selected.

Note: Once Add new rule is selected, the rule is automatically created. To delete a rule, click on the drop-down menu beside the rule and select Delete rule.

Editing Rules

Name

The name of the selected rule. The name can be changed in the Name field on the Rules pane.

Rule Type

The type of the selected rule. Select from either formatting or validation.

Validation

The condition that will mark the control as invalid and prevent the form from being submitted if the condition expression evaluates to TRUE. If the expression evaluates to FALSE, the rule will not be triggered. The formula builder button (to the right of the Condition field) can be used to aid construction of condition formulas.

The form will not be submitted if the validation rule evaluates to TRUE.

The rule should be applied to the control for which you want to highlight the issue. If the rule does not evaluate, a red box will appear around the relevant control. If multiple fields need to be marked as invalid, the rule can be applied to multiple controls.

Message

The message to be displayed when the validation rule is triggered.

Conditional validation rule example:

A form has two input controls, a single line of text which is called "Amount" and a multi-line text control called "Clarification". To the "Clarification" control a validation rule is added with the condition "Amount>1000&&isNullOrEmpty(Clarification)". If a user enters an amount greater than 1000 in the form, they cannot submit the form unless they have explained the expense in the "Clarification" control.

Note: Design or Full Control permissions are required to apply HTML formatting in validation rule messages. Insufficient permissions result in encoded HTML formatting. For example, the validation rule message "<b>Select quantity</b>" is formatted to appear as "Select quantity" in forms published with sufficient permissions; however, in forms published with insufficient permissions, the message appears with the encoded HTML tags ("%/ltSelect quantity%/gt").

Formatting

The condition that will trigger the rule is set in the Condition field. The formula here must resolve to the value of TRUE for the instruction on the rule to be triggered, any other value will be treated as a FALSE value and the rule will not be triggered. The formula builder button (to the right of the Condition field) can be used to aid construction of condition formulas.

Syntax for conditions can include any variables available in the formula builder; including Item Properties and Named Controls. Runtime functions and standard mathematical symbols can be used to manipulate or compare values for the purpose of crafting a condition. In addition, the following symbols can be used as comparison operators. String literals must be contained in double quotes (e.g. Option=="High").

Symbol​ | ​Meaning
==​ | is equal to​
===​ | is exactly equal to (value and type)​
!=​ | is not equal​
!==​ | is not equal (neither value or type)​
>​ | is greater than​
<​ | is less than​
>=​ | is greater than or equal to​
<=​ | is less than or equal to​
&&​ | and ​
| |​ | or​
!​ | not​

Use the {Self} variable (available in the Named Controls tab in the Formula Builder) to reference the value in control associated to a rule within a condition. For instance, set a rule's condition to "{Self} > 5" if you want formatting to be applied to the control when it contains a value greater that 5.

Formatting

Use Rules to modify the following formatting attributes of a control:

  • Font
  • Text size
  • Fill color
  • Text color
  • Emphasis (bold, underline, italics, strikethrough)
  • Text alignment

In addition, rules can be used to disable or hide controls. Note: When a control is hidden based on a rule, any associated labels will also be hidden.

Rule Order

To re-order the rules in the rules pane, drag and drop a rule into the desired position. Alternatively, click the drag texture on the rule you want to move and then click to where it is destined to be moved to.

Note: Rules are executed in the order they appear in the Rules pane. If a control has more than one rule applied to it, the rules will execute in the order set in the rules pane.

Additional Functions

Click on the drop-down menu next to each rule to access additional functions.

Additional Functions​ | Description​
Select associated controls​ | Selection of controls (and the Controls in Use pane) will be reset to all those controls on the current device layout associated with the current rule.
Add to selected controls​ | Add the current rule to all of the selected controls. ​
Remove from selected controls​ | Remove the current rule from all selected controls. ​
Send to top​ | Rule will be moved to the top of the list of rules. ​
Send to bottom​ | Rule will be moved to the bottom of the list of rules.​
Delete rule​ | Rule will be deleted from the form.​

Rules and Repeating Sections

A control within a repeating section may be associated with rules. These rules may include conditions which refer to controls in the same repeating section or controls outside of the repeating section.

However, controls outside the repeating section cannot include conditions which refer to controls within repeating sections; these conditions will always evaluate to FALSE.

Notifications

The "checked controls" icon will appear beside the rule title in "Show all rules" mode to indicate this rule is associated with all the controls currently selected.

An "attention" icon will appear in the formatting section of the Rules pane to indicate that some currently unselected controls are associated with this rule. This serves as a reminder that some unselected controls will be affected by any changes to this rule.


Previewing a Form

Previewing a Form

Preview a form to confirm control appearance and behaviour for a given device and mode.

Previewing in the Responsive Forms Designer

To preview a form:

  1. Click the Preview button on the Nintex Forms Design Ribbon.
  2. Click Device Preview.

    The preview appears.

  3. Select the screen size you want to preview using the buttons.

To preview a form at runtime:

  1. Click the Preview button on the Nintex Forms Design Ribbon.

    Click Preview.

    The Preview Settings dialog box appears.

  2. Select the mode to preview the form in. Forms can be displayed in New, Edit and Display modes. Each of these may render and behave differently.

  3. Click Generate Preview.

    The preview form is displayed within the Forms designer.

    No data entered in a preview form is saved.

Previewing in the Classic Forms Designer

To preview a form, select the Preview button on the Nintex Forms Design Ribbon.

The preview settings dialog will appear before the preview is displayed.

  • Device: Select the device you would like to preview the form on. Note: This will use the most appropriate device layout as already defined. If a layout for the specific device has not yet been created for the form, the next most appropriate alternate device layout will be used to render the form. ​
  • Platform: Some controls appear and behave differently depending on whether you are viewing the form through SharePoint's own framework (local) or using Nintex Live. This option allows you to choose which rendering you wish to preview.​
  • Mode: Forms can be displayed in New, Edit and Display modes. Each of these may render and behave differently. Note: Nintex Live only supports "New" mode. ​

Notes: While viewing a preview, notifications may appear at the top of the preview itself. To close these, select "Close" in the bottom right-hand corner.

Previewing Nintex Mobile App Forms

Forms designed for the Nintex Mobile App are not available for preview directly within the Nintex Forms Designer as it cannot render an accurate preview. When a mobile layout is specified as the device layout to preview, the platform and mode are not longer relevant. Once the Generate Preview button is clicked the form will be made available on Nintex Mobile only for the user who has designed the form. The form will be moved from the forms list once it has been submitted. An existing preview form will be overwritten if a new preview is generated.

If data is entered in a preview form (whether in the Designer or in the Nintex Mobile App), this data will not be saved.


Runtime Functions

Runtime Functions

In any text input that supports the Formula Builder, can use a runtime function that will be displayed at runtime. Runtime functions are different from inline functions as the inline functions are resolved on form load.

A number of runtime are provided out of the box. These functions are listed in this topic in the "runtime Function Reference" section.

You can also call runtime functions from your custom JavaScript. For more information see the Nintex Forms 2013 SDK.

Runtime Function Reference

and

Returns TRUE where both logical arguments are true. If either are false, returns FALSE.

Usage
and(boolean1, boolean2)

avg

Returns the average value of a set of values.

Usage
avg([set of values])

contains

Returns TRUE where string contains the element.

Usage
contains(string,element)

count

Returns the number of rows in which a control that has a value (not blank) appears within a repeating section.

Usage

count(control)

currency

Returns the formatted currency string for the specified value.

Usage
currency(value)

currentRowNumber

Returns the row number of the Repeating Section the control is contained within.

Usage
currentRowNumber(Control)

date

Returns a new date contructed from the specified parameters.

Usage

date(day, month, yeah, hours, minutes)

dateAddDays

Retuns the date with the specified number of whole days added to it.

Usage

dateAddDays(date, daysToAdd)

dateAddHours
Returns the date with the specified number of whole hours added to it.

Usage
dateAddHours(date, hoursToAdd)
dateAddMinutes
Returns the date with the specified number of whole minutes added to it.

Usage
dateAddMinutes(date, minutesToAdd)
dateAddMonths
Returns the date with the specified number of whole months added to it.

Usage
dateAddMonths(date, monthsToAdd)

dateDiffDays

Returns the number of whole days between date1 and date2.

Usage
dateDiffDays(date1, date2)

dateDiffHours

Returns the number of whole hours between date1 and date2.

Usage
dateDiffHours(date1, date2)

dateDiffMinutes

Returns the number of whole minutes between date1 and date2.

Usage
dateDiffMinutes(date1, date2)

endsWith

Returns TRUE where element is at the end of string.
Usage
endWith(string, element)

equals

Returns TRUE where two items are of equal value.
Usage
equals (value1, value2)

formatDate

Returns the date in the specified format.

Usage
formatDate(date, format)
The specified format can incorporate structures such as "dd/MM/yyyy" or "dddd", "dd MMM". The components of these structures include:
Element​ | ​Description | ​Example (in US date format)
"dd"​ | ​Day of month | ​6/15/2009 1:45:30 PM -> 15
"ddd"​ | ​Day of week (Single Letter) | ​6/15/2009 1:45:30 PM -> M
"dddd"​ | ​Day of week (Full) | ​6/15/2009 1:45:30 PM -> Monday
"MM"​ | ​Month (Numeric) | ​6/15/2009 1:45:30 PM -> 6
"MMM"​ | ​Month (Short) | ​6/15/2009 1:45:30 PM -> Jun
"MMMM"​ | ​Month (Full) | ​6/15/2009 1:45:30 PM -> June
"yyyy"​ | ​Year | ​6/15/2009 1:45:30 PM -> 2009
"hh"​ | ​Hours (12 Hour) | ​6/15/2009 1:45:30 PM -> 1
"HH"​ | ​Hours (24 hour) | ​6/15/2009 1:45:30 PM -> 13
"mm"​ | ​Minutes | ​6/15/2009 1:45:30 PM -> 45
"tt"​ | ​AM or PM | ​6/15/2009 1:45:30 PM -> PM

Alternatively, single character format specifiers can be used.
Format Specifier​ | ​Description | ​Example (in US date format)
"d"​ | ​Short date pattern | ​6/15/2009 1:45:30 PM -> 6/15/2009
"D"​ | ​Long date pattern | ​6/15/2009 1:45:30 PM -> Monday, June 15, 2009
"M", "m"​ | ​Month/day pattern | ​6/15/2009 1:45:30 PM -> June 15
"s"​ | ​Sortable date/time pattern | ​6/15/2009 1:45:30 PM -> 2009-06-15T13:45:30
"t"​ | ​Short time pattern | ​6/15/2009 1:45:30 PM -> 1:45PM
"T"​ | ​Long time pattern | ​6/15/2009 1:45:30 PM -> 1:45:30PM
"Y", "y"​ | ​Year month pattern | ​6/15/2009 1:45:30 PM -> June, 2009

greaterThan

Returns TRUE where value1 is greater than value2.

Usage
greaterThan(value1, value2)

greaterThanOrEqual

Returns TRUE where value1 is greater than or equal to value2.

Usage
GreaterThanOrEqual(value1,value2)

if

Checks whether a condition is met, and returns one value if true, and another value if false.
Usage
if(logical_test, value_if_true, value_if_false)

inArray

Returns TRUE where the collection contains the entire specified element.
Usage
inArray(collection, element)

isDate

Returns TRUE where the value is a valid date.

Usage
isDate(value)

isNullOrEmpty

Returns TRUE where value has no data content.

Usage
isNullOrEmpty(value)

isNumeric

Returns TRUE where the value is a valid number.

Usage
isNumeric(value)

length

Returns the length of a string.

Usage
length(string)

lessThan

Returns TRUE where value1 is less than value2.

Usage
lessThan(value1,value2)

lessThanOrEqual

Returns TRUE where value1 is less than or equal to value2.

Usage
LessThanOrEqual(value1,value2)

Lookup

Returns a value form another list based on lookup criteria.
Usage
lookup("list title","column to filter on", value to filter on, "output column". [multiple values-boolean] , [value data type])
For an explanation on how to use the Lookup function, see Lookup Function.

max

Returns the maximum value found in a set of values.
Usage
max([set of values])

min

Returns the minimum value found in a set of values.

Usage
min([set of values])

not

Returns the logical reverse of the argument.

Usage
not(boolean)

or

Returns TRUE where either logical arguments are true. Returns FALSE when both logical arguments are False.

Usage
or(boolean1, boolean2)

parseLookup

Returns the text component of the list item in the lookup control if condition evaluates to TRUE. If FALSE, returns the ID of the list item in the lookup control.

Usage

parseLookup([array or single lookup value], [optional bool showText])

Note: A lookup control returns both the ID and text for the selected items in the format "1;Australia". The first part represents the ID of the list item and the second part, the column specified to display in the lookup control as its label. Depending on what you are using the lookup control value for, you will need one part of the value.

e.g.

parseLookup(Country) = "Australia"

parseLookup(Country, true) = "Australia"

parseLookup(Country, false) = "1"

replace

Replace part of a string that matches a regular expression pattern (replacePattern) with replacement.

Usage
replace(textToModify, replacePattern, replacement)

rows

Returns the number of rows a control appears in within a repeating section.

Usage
rows(control)

round

Returns a value to the nearest number based on a specific number of decimal places.
Usage
Round(number, [optional numberOfDecimalPlaces])

startsWith

Returns TRUE where element is at the beginning of the string.

Usage
startsWith(string, element)

subString

Returns a part of the string from the character position start for the specified length in characters. The first character is position 0.

Usage
subString(string, start, length)

sum

Returns the result of all the values in a set being added together.
Usage
sum([set of values])

toLower

Converts a string to lower case.

Usage
toLower(string)

toTitleCase

Converts a string to title case, with the first letter of each word capitalized.

Usage
toTitleCase(string)

toUpper

Converts a string to upper case.
Usage
toUpper(string)

trim

Removes any leading and trailing spaces from a string.

Usage
trim(string)

userEquals

Returns TRUE if the two logins are the same, taking into account differences between the two, such as claims authentication tokens.
Usage
userEquals(single login, single login)
Note: SharePoint login names can be the same user even if they have slight differences in the name. When comparing two login names, depending on the source of the login it may be slightly different. The possible sources include a people control, an insert reference token or even the user profile function.
For example: In a claims authentication environment, one source could return "i:0#.w|nintex\kinald" while another may return "nintex\kinald". These are the same user, however one has the with claims token at the start. The userEquals function will ignore the claims prefix and return true when comparing the above logins.

userProfileLookup

Returns the lookup user profile data from SharePoint for the specified user.
Usage
userProfileLookup("domain\login","InternalPropertyName")
Note: The first parameter is a single user login for current SharePoint farm that has a user profile. It would usually be specified either through insert reference or passing the value from a control (ideally a single select people control). The second parameter is the internal name of the user profile property. An example of some of the more common ones are "FirstName", "LastName","HomePhone", "Manager", "Office", "PreferredName", "WorkEmail". A list of the default profile properties provided by SharePoint are found here.

Related Topics

Inline functions


Lookup Function
​

Lookup function

The lookup function allows a form designer to retrieve data from a column within a SharePoint list and display that data on a form or use it in a formula.

A common requirement among form designers is the ability to surface SharePoint data from another list and optionally process that data. Displaying an entire list item or a list view is possible with the List Item and List View controls respectively, however these controls render html as their output which cannot be processed in a Nintex formula. In scenarios where you want to obtain a value from a list column, for display or processing in a formula, the lookup function is a viable approach.

Usage

Within a Nintex Form, the lookup function can be used within a:

  • Calculated Value control: Double click a calculated value control to access the Formula property.
  • Form Variable: Click on the Form Variables button in the ribbon menu to create a new Form Variable.
  • Rule: Click on the Rules button in the ribbon to create a new Rule.

How the lookup function obtains data

To understand how the lookup function determines what data to bring back, consider the following lookup function:

lookup(“listA”, “ID”, 1, “Title”)

This lookup will send a query to SharePoint, asking for list items within a list titled ‘listA’ and return the Title column value from any list items whose ID column value is 1.

Note: The match on the value is case-insensitive.

The lookup function does not support complex query construction; it determines what list items are included, as data to bring back, based on the filter column being an exact match to the value you specify. You can compose complex formulas with the formula builder if you need to build up a complex query, however be mindful that each lookup function will send an individual request to SharePoint for data.

Parameters

list title: The title of list that contains the data you are querying.

  • Required? Yes
  • Position: Must be first parameter in function.
  • Advanced usage: To point to a list in another site, precede the list title with the server relative url path of the site, then delimit the list title with a pipe ‘|’ symbol, e.g. “/sites/siteCollection/siteA|customList”

column to filter on: The name of the column in the list that you want to filter on. Specifically, this column will be used to filter which list items are treated as matches against the third parameter.

  • Required? Yes
  • Position: Must be second parameter in function.

value to filter on: The value you specify for this parameter is compared against each item in the list, if it matches the value for the column you specify in the second parameter, the list item data is returned.

  • Required? Yes
  • Position: Must be third parameter in function.

output column: The name of the column in the list that you want to get data from. Data from the output column is returned in the formula.

  • Required? Yes
  • Position: Must be fourth parameter in function.

multiple values <optional>: Used to signify that you want multiple values returned from the lookup function. This should be used if there are more than one list item which matches the filter you’ve configured and you want an array of values to be returned.

  • Required? No
  • Position: Must be fifth parameter in function.
  • Usage: Specify the value 'true', without the quotes.
  • Note: The maximum items number of items that can be returned in a lookup function is limited to 1000.

value data type <optional>: Use to manually set the underlying data type that SharePoint will compare your value as.

  • Required? No
  • Position: Must be sixth parameter in function.
  • Usage: The list of the most common SharePoint data types to query are: Text, Note, Number, Currency, Integer, Boolean, DataTime, Lookup, Choice, URL.

Additional Information

List location

The list you are querying can exist within the current site, or within sites within the current site collection.

Data In

The following types of data are supported for the ‘value to filter on’ parameter:

  • Text: Surround your text with a double or single quote.
  • Number: Does not need to be surrounded with quotes.
  • Date: Pass a date value from either a Date control, or use the date() or convertToDate() runtime function to create a new date value.
  • Boolean: A true/false value. Does not need to be surrounded with quotes.
  • Lookup: A SharePoint lookup value of the format – 1;#text. Alternatively, the text value by itself, i.e. 'text'.
  • User: A SharePoint person or group column type.
  • Managed Metadata: Specify the name of the term to match against.

Note: Null is a valid input value.

The lookup function does not currently support multiple values being passed in as the input value parameter. Only a single value is supported. I.e. you cannot pass an array of values into a lookup function.

Data Out

The returned column value will not be formatted by the lookup function unless it’s one of the following SharePoint types:

  • Lookup
  • User

For Example: Given a SharePoint Person column, the displayed value of a Person column in SharePoint may appear as “User A”, but the underlying SharePoint text is of the format “1;#UserA”.

If a lookup function is configured to return a Person column’s value, it will convert it into text, using the internal format of “1;#UserA”.

By default, the data returned from this function is for a single column in a list. You may want to return multiple column values: For example, where multiple list items matched a given query. To do this, append ‘true’, without the quotes, as the last parameter of the function. For multiple output values, they are returned inside an Array. An array is of the format [value1,value2].

Inserting an existing control, property or variable

You can use a Named Control, Item Property, Form Variable, Workflow Variable or a pre-defined property as the input value of a lookup function. All types of data to insert are listed in the Formula Builder dialog.

Note: Quotes are not necessary when inserting a control, property or variable.

Runtime behavior

The lookup function is dynamic; if any parameters that are passed into the function change during runtime, the lookup function re-fetches the data and triggers the formula to re-evaluate.

All lookup data is cached for 2 minutes to reduce network traffic.

All lookup functions are evaluated on load of a form, unless they are configured to not recalculate on view mode. This option is per control in the control property window.

Lookup functions are processed asynchronously, meaning they do not halt the form from operating while they fetch the SharePoint data and evaluate. This helps in scenarios where the network between you and the data is slow or physically far apart.

Lookup functions currently do not work in Nintex Live Forms.

Dependent formulae

Formulae that depend on other formulae containing a lookup function will not wait before evaluating. Consider the following scenario of two Form Variables:

Variable A has the formula: Variable B + 1
Variable B has the formula: lookup(“listA”, “Title”, “Task1”, “ID”)

Variable A depends upon Variable B, however an individual formula only waits until all endogenous lookup functions are complete before evaluating. The result is that Variable A will momentarily evaluate to ‘1’, as Variable B has not yet completed. When Variable B does complete, it notifies Variable A to re-calculate, at which time Variable A displays the complete value of: ‘<Variable B’s lookup value> + 1’.

If you have multiple, dependent lookup formulae and require all lookup functions to be complete before displaying a result to the user, utilize a single formula with nested or chained lookup functions.

Security Considerations

The lookup function will perform the lookup of SharePoint data as the current user. Therefore, if the user filling out a Nintex Form does not have the necessary SharePoint access to the list or list item(s), the lookup function will not return any data.

Nested Functions

Lookup functions can be nested inside of other lookup functions. Lookup functions will evaluate inside out, (for example, a lookup function inside another lookup function will evaluate first) to maintain formula correctness.

Circular Reference

As a form designer, be mindful not to construct a formula which contains a circular reference. A circular reference is where a formula is dependent on another formula to complete, but that formula depends upon the original formula completing.

If a circular reference is accidentally configured, the lookup function will stop evaluating after a fixed number of cycles.

Troubleshooting

To help with troubleshooting issues, preview your Nintex Form and press F12 to open the IE developer toolbar. Next, click on the Script tab and ensure that the Console tab on the right is selected. Refresh your preview window by right clicking and selecting Refresh. Logging will appear in the window, and help you to troubleshoot common misconfiguration/data access issues.

Links

To see an example of using the lookup function, refer to the guide ‘Lookup data from another list inside a Nintex Form' on Nintex Connect.


Form Variables

Form Variables

A form variable represents a hidden calculated value that can be referred to in other runtime expressions such as calculated value controls and rules and can also be bound to a column. Its value itself is determined by its own runtime expression.

Form variables provide the ability to manage values in a single location for use across your form without it having to be shown on the form canvas. They behave just like calculated value at runtime and can be bound to list columns without the need to be displayed in the form itself.

On the left hand side we present a list of all the form variables in your form.

  • To add a new one, use the Add button in the Ribbon.
  • To delete one, click on the delete icon for the specific variable in the list.
  • To edit one, click on the variable in the list and the details will be available on the right hand side.

The Form Variable form displays the following:

  • Name: The name of the control. The name is used for comparison validation and other control references.
  • Type: The data type to convert to when the form is saved.
  • Connected to: The field to bind the input control to.
  • Recalculate formula on view mode: Recalculate the value when the form is displayed in view mode at run time.
  • Recalculate formula on new mode: Recalculate the value when the form is displayed in new mode at run time. By default, this is set to yes.
  • Recalculate formula on edit mode: Recalculate the value when the form is displayed in edit mode at run time. By default, this is set to yes.
  • Formula: The runtime formula to be calculated. Use the Formula Builder to create the formula.


Run Now

Run Now
​

​Run Now dialog box

Some controls allow you to test configuration settings without previewing or publishing the form by using the Run Now dialog box.

Note: Run Now is not a simulation. Any executions such as create, query, update, and delete are committed when executing Run Now.

By default, the Run Now dialog box does the following.
  • Automatically replaces any tokens with a value if possible
  • Evaluates any inline functions in the control when the configuration is executed

To access the Run Now dialog box for a control:
  • Click Run Now in the control ribbon.
    The Run Now dialog box shows the current configuration of the control. You can temporarily change the configuration before testing it.

To update configuration settings for the test:
  • Modify settings (parameter values) as desired.
    Note: Updated parameter values are not saved when you close the Run Now dialog box.

To test current configuration settings:
  • Click the associated test button. For example, click Execute Test.

Settings

This section describes settings available in the Run Now dialog box for all controls.
Note: Settings not detailed here reflect the available configuration settings of the control from which the Run Now dialog box was accessed.
Selection | Description
Execute Test | Verifies connection to an external system using the current configuration settings.
​Test Result | ​Displays the output of the executed test.​
Execute ​XPath Test | ​Verifies XPath configuration for a connection to an external system using the current configuration settings.
​XPath Test Result | Displays the output of the executed XPath test.​
​​


Forms functionality supported for use with Nintex Mobile

Forms functionality supported for use with Nintex Mobile
​
The following form controls are supported for use in Nintex Mobile form layouts.
Note: Layout features are available in the Classic Forms Designer only. Layouts are not used in the Responsive Forms Designer.
Attachment Control
Border
Calculated Value
Choice
Date Time
Geolocation
Hyperlink
Image
Label
List Lookup
Multi Line Textbox
Page Viewer
Panel
People
Repeating section
Single Line Textbox
Yes-No

Related Topics
Designing a form for a mobile device


Print to PDF
​​​​​
​​​* This topic applies to Nintex Forms Enterprise Edition only
​​​​​​​​​* Supported for use in Desktop layouts only in the Classic Forms Designer
* Not supported by Internet Explorer 7

Print to PDF

Print to PDF allows a user to print a form to PDF.

To format the page length of the rendered PDF
  • Adjust Print to PDF settings in the form settings​.

To control page breaks of the rendered PDF
​
  • Insert the Page Break Guide control.

When a form is published, the Print to PDF button displays in the ribbon. The users can use this button to convert the form to a PDF file. Once completed, the PDF is rendered with a page break wherever the Page Break Guide control was inserted into the form.

Unsupported form configuration for PDF rendering

​Form Configuration | ​Discription | ​Browser
Rules ​Custom CSS rule @Media rule.
 Only applies to Internet Explorer 8.
Controls
  • Page viewer control.
  • The Rich Text feature in the Multiple Line Textbox control is only supported in view mode.

    To render a form as a PDF in new mode and edit mode, change the Rich Text settings in the Multiple Line Textbox control to No. This applies to all browsers.

         Applies to all browsers.
Images | SVG images. | ​Applies to all browser​s.

Related Topics

Form and Layout settings
Page Break Guide
​​​​​​


Rules in the Responsive forms designer
​

Rules in the Responsive Forms Designer

Overview

Rules can be used to add dynamic visibility, validity or editability changes to controls within any form based on defined conditions.

Note: For creating rules in the Classic Forms Designer, see Rules.

Opening the Rules pane

To open the Rules pane, select the Rules button on the Nintex Forms Design Ribbon. Alternatively, select Add Rule in the Control Properties Ribbon.

By default, the Rules pane will show only those rules which are associated with every control currently selected. To show all rules included in the form, check the "Show all rules" box.

Adding Rules

  1. Select the control or group of controls you would like to assign a rule to.
  2. Click the Add Rule button in the Control Properties Ribbon, or the Add Rule button in the Rules pane.
  3. Create rule.
  4. The newly created rule will be assigned to all the controls which were selected.

Note: Once Add rule is selected, the rule is automatically created. To delete a rule, click on the drop-down menu beside the rule and select Delete rule.

Editing Rules

Rule Name

The name of the selected rule. The name can be changed in the Rule Name field on the Rules pane.

When

The condition that will trigger the rule is set in the When field. The formula here must resolve to the value of TRUE for the instruction on the rule to be triggered, any other value will be treated as a FALSE value and the rule will not be triggered. The formula builder button (to the right of the When field) can be used to aid construction of condition formulas.

Syntax for conditions can include any variables available in the formula builder, including Item Properties and Named Controls. Runtime functions and standard mathematical symbols can be used to manipulate or compare values for the purpose of crafting a condition. In addition, the following symbols can be used as comparison operators. String literals must be contained in double quotes (e.g. Option=="High").

Symbol​ | ​Meaning
==​ | is equal to​
===​ | is exactly equal to (value and type)​
!=​ | is not equal​
!==​ | is not equal (neither value or type)​
>​ | is greater than​
<​ | is less than​
>=​ | is greater than or equal to​
<=​ | is less than or equal to​
&&​ | and ​
| |​ | or​
!​ | not​

Use the {Self} variable (available in the Named Controls tab in the Formula Builder) to reference the value in control associated to a rule within a condition. For instance, set a rule's condition to "{Self} > 5" if you want formatting to be applied to the control when it contains a value greater that 5.

Then

Select how the control should behave when this rule is triggered:

  • Hide: The control and its label is hidden from the form.
  • Disable: The control is disabled but visible on the form.
  • Invalidate: The control is set as invalid so the form cannot be submitted. If the form is submitted, the associated controls are outlined in red and a validation message is displayed.
  • Set value: The control's value is set to the specified value.

    This is available for single line text controls only.

Validation Message: The message to display when the rule unvalidates the associated controls. This field is only displayed when Invalidate is selected.

Value: The value to set the control to. This field is only displayed when Set Value is selected.

Rule order

To re-order the rules in the rules pane, click on the drop-down menu beside the rule and select Send to top or Send to bottom.

Note: Rules are executed in the order they appear in the Rules pane. If a control has more than one rule applied to it, the rules will execute in the order set in the rules pane.

Additional Functions

Click on the drop-down menu next to each rule to access additional functions.

Additional Functions​ | Description​
​Edit rule | ​Open the rule for editing.
​Minimize | ​Close the rule.
​Duplicate rule | ​Create a copy of this rule with the same properties and control associations.
Select associated controls​ | Selection of controls (and the Controls in Use pane) will be reset to all those controls on the current device layout associated with the current rule.
Add to selected controls​ | Add the current rule to all of the selected controls. ​
Remove from selected controls​ | Remove the current rule from all selected controls. ​
Send to top​ | Rule will be moved to the top of the list of rules. ​
Send to bottom​ | Rule will be moved to the bottom of the list of rules.​
Delete rule​ | Rule will be deleted from the form.​

Rules and Repeating Sections

A control within a repeating section may be associated with rules. These rules may include conditions which refer to controls in the same repeating section or controls outside of the repeating section.

However, controls outside the repeating section cannot include conditions which refer to controls within repeating sections; these conditions will always evaluate to FALSE.

Notifications

The "checked controls" icon will appear beside the rule title in "Show all rules" mode to indicate this rule is associated with all the controls currently selected.

An "attention" icon will appear in the formatting section of the Rules pane to indicate that some currently unselected controls are associated with this rule. This serves as a reminder that some unselected controls will be affected by any changes to this rule.


Properties

Properties

The Properties pane can be used to:

  • Change the settings of the selected control.
  • Change the font settings and color scheme of your form with themes in the Responsive Forms Designer.
  • Create, manage and switch between layouts in the Classic Forms Designer.

Opening the Properties pane

  • In the Nintex Workflow Design Ribbon, click on the Properties button.

Properties pane in the Responsive Forms Designer

Themes

Use these styles to create a uniform look for your form.

Selecting a new colour

To select a new color:

  1. Click the drop-down arrow next to the color swatch.

    The color picker appears.

  2. You can either:
    • Select a hue using the bar at the bottom and click the shade you want.
    • Type or paste a hexadecimal RGB color value into the field at the top.
  3. Click Apply.

Global styles

​Selection | Field​ | Description​
​Global styles | ​Primary | ​Click the drop-down to select a new color to be used for primary controls like Submit buttons.
​ | ​Secondary | ​Click the drop-down to select a new color to be used for secondary controls like Cancel buttons.
​ | ​Page | ​Click the drop-down to select a new color to be used for the background behind the form.
​ | ​Form | ​Click the drop-down to select a new color to be used for the background of the form.
​Fonts | ​ | ​Select the font for use for all text in the form.
​ | ​Text | ​Click the drop-down to select a new color to be used for all text in the form.
​ | ​Title/input size | ​Select the size of control titles and input text.
​ | ​Description size | ​Select the size of description text.
​Advanced styles | ​ | ​Click to open the Advanced styles section to design colors for all input and button controls.

Advanced styles

Use these styles to create a uniform look for all your buttons and controls.
Note: These settings apply to all buttons and controls on your form. You cannot control the style of individual controls or buttons.

​Selection | Field​ | Description​
​Input style | ​Input Border | ​Click the drop-down to select a new color to be used for the borders of input controls.
​ | Input background | ​Click the drop-down to select a new color to be used for the background of input controls.
​ | ​Input font | ​Click the drop-down to select a new color to be used for the font of input controls.
​Buttons | ​Primary | ​Click the drop-down to select a new color to be used for primary buttons like Save.
 | ​Primary font | ​Click the drop-down to select a new color to be used for the font of primary buttons like Save.
​ | Secondary | ​Click the drop-down to select a new color to be used for secondary buttons like Cancel.
​ | Secondary font | ​Click the drop-down to select a new color to be used for the font of secondary buttons like Cancel.
Reset to global styles | ​ | Click to reset the advanced settings to the colors of the global style.

Settings

This section is only displayed when a control is selected.

​Selection | Field​ | Description​
General | ​Name | The name of the control.
​ | ​Title | ​The text to display on the form as the control's title or label.
​ | ​Description | ​The text to display with the control as a description or instruction.
​ | ​Connected to | The list column the control is connected to.
​Appearance | ​Visible | Whether the control is visible on the form.
​ | ​Enabled | Whether the control can be interacted with on the form.
​More Settings |  | Click to open the Control Settings for this control.

Properties pane in the Classic Forms Designer

Layout

Create, manage and switch between the layouts of your form.

Field​ | Description​
​Layouts | Displays the layouts available for this form. The currently selected layout is highlighted. Click on another layout to switch to it.
​Add more Layouts | Click to add another layout to this form.
​Layout Settings | Click to open the Layout settings for this layout.
Replace with Layout | Click to replace the currently selected layout with another existing layout. All controls and settings for the current layout will be discarded.
​Delete Layout | Click to delete this layout.

Settings

This section is only displayed when a control is selected.

​Selection | Field​ | Description​
General | ​Name | The name of the control.
​ | ​Connected to | The list column the control is connected to.
​Appearance | ​Visible | Whether the control is visible on the form.
​ | ​Enabled | Whether the control can be interacted with on the form.
​Formatting | ​Control CSS Class | The CSS class to apply to the control's inner elements.
​ | ​CSS Class | The CSS class to apply to the control.
​ | Padding Width (Pixels) | The CSS padding (in pixels) to apply to the control.
​More Settings |  | Click to open the Control Settings for this control.


Updating themes in the Responsive Forms Designer

Updating themes in the Responsive Forms Designer

Update theme settings for your form

Adjust the theme settings for your form to configure its fonts and colors. The fonts and colors you select are used across the indicated design elements in your form. Theme settings include global styles for the form, page background, controls, font (including color and size), as well as advanced styles for input and button controls.

Note: The theme feature is available in the Responsive Forms Designer only.

To adjust theme settings for your form

  1. In the Designer tab of the Forms designer ribbon, click Properties.
  2. Expand the Theme section.

To view advanced styles for input and button controls, click Advanced styles.

To specify a value for a color field

  1. Click the drop-down arrow to the right of the color swatch.

    The color picker appears.

  2. Either:
    • Pick a hue and shade: Select a hue from the bar at the bottom and then click the shade you want.
    • Enter a code: In the text field at the top, type or paste the hexadecimal RGB color value that you want.
  3. Click Apply.

To specify a value for non-color field

Select it from the drop-down list provided.


Form Interaction with SharePoint

Nintex Forms 2013
Form Interaction with SharePoint

Topics in "Form Interaction with SharePoint"
3 items

Configuring the Start Site Workflow Webpart

Configuring the List Form Web Part

Designing forms for SharePoint external lists


Configuring the Start Site Workflow Webpart

Configuring the Start Site Workflow Webpart

The Nintex Forms Start Site Workflow web part is used to display a site workflow start form that was created using Nintex Forms.

Adding a Start Site Workflow Web Part to a Page

To add a site workflow start form web part to a page:

  1. Navigate to the SharePoint page that the Web Part will be added to.
  2. Select the Page tab and click on the Edit button on the Ribbon.
  3. Select the Insert tab and click on the Web Part button on the Ribbon.
  4. In the Categories, select Nintex Forms. Under Web Parts, select Start Site Workflow from the list of options.
  5. Click the Add button.
  6. On the upper right corner of the web part, click the drop-down icon to open the Web Part menu, then click on Edit Web Part.
  7. Use the Select the site workflow to start drop down to select the desired workflow.
  8. Select the option to Refresh form on submit to reopen the form in a blank state with a Confirmation message, or deselect the option and enter the Redirect URL. Note: The Appearance, Layout and Advanced options are the same as other SharePoint Web Parts, refer to SharePoint Help Files for more information.
  9. The Appearance, Layout and Advanced options are the same as other SharePoint Web Parts. Click OK.
  10. Click on the Page tab. Save and close the page.
  11. The Nintex Form will now display on the page.

Related Topics

Designing forms in Nintex Workflow
Getting started with the form designer
Configuring the List Form Web Part


Configuring the List Form Web Part

Configuring the List Form Web Part

The Nintex Forms List Form Web Part allows you to embed a list form designed using Nintex Forms on a page.

Note: When adding multiple List Form web parts to a page, only one form with attachments is supported per page. ​

List Form Web Part Settings

  • Form Mode: Show the List Form in new, edit or display mode.
  • Site URL: The Site URL to retrieve the List item information from.
  • Redirect URL: The URL to redirect to after the form has been submitted.
  • Confirmation message: The confirmation message to be displayed after the form has been submitted.
  • List Name/ID: The List Name/ID to retrieve the form from.

If Edit or Display is selected for the Form Mode:

  • Item ID: The ID of the specific item in the list to retrieve.

If New is selected for the Form Mode:

  • Content Type: The content type name/ID of the to be displayed.

Adding a List Form Web Part to a Page

To add a list form web part to a SharePoint page:

  1. Navigate to the SharePoint page that the Web Part will be added to.
  2. Select the Page tab and click on the Edit button on the Ribbon.
  3. Select the Insert tab and click on the Web Part button on the Ribbon.
  4. Locate the Categories section and select Nintex Forms. In the Web Parts section, select List Form.
  5. Click the Add button.
  6. On the upper right corner of the web part, click the drop-down icon to open the Web Part menu, then click on Edit Web Part.
  7. Configure the List Form settings. Note: The Appearance, Layout and Advanced options are the same as other SharePoint Web Parts, refer to SharePoint Help Files for more information.
  8. Click OK.
  9. Click on the Page tab. Save and close the page.
  10. The Nintex Form will now display on the page.

List Form Web Part usage scenarios

Connected to a List View Web Part

A List Form Web Part can be connected to a List View Web Part. This allows the user to easily edit or view an item in a list. When an item is selected in the List View Web Part, the List Form Web Part will display the item that was selected.

Note: The two web parts need to be on the same SharePoint page.

To configure the List Form Web Part as a connectable web part:

  1. On the web part, select the drop-down menu on the right-hand side of the Web Part.
  2. Select Connections and Get Row From.
  3. The available List View Web Parts will appear in the list. Select the desired List View Web Part to be connected to.

Note: A List Form web part may only be connected to one List View Web Part. To connect to another List View Web Part, the connected List View Web Part must be disconnected. To disconnect from the List View Web Part, open the List Form Web Part's drop-down menu and select Connections. Untick the connected List View Web Part.

List Form Web Part in Edit/Display mode

When a List Form is set to Edit mode, the form may be edited in the SharePoint page. When a List Form is set to Display mode the form may only be viewed in the SharePoint page and cannot be edited.

To configure the List Form Web Part in edit or display mode:

  1. Select the drop-down menu on the Web Part and click on Edit Web Part.
  2. Select either Edit or Display in the Form Mode menu.
  3. Provide the List Name/ID and the Content Type/ID. Click OK.

Note: If the list has not been enabled for management of content types, in the Content Type/ID, type in 'Item'.

List Form Web Part in New mode

When a List Form is set to New mode, a new List Form will appear when the SharePoint page is accessed.

To configure the List Form Web Part in new mode:

  1. Select the drop-down menu on the Web Part and click on Edit Web Part.
  2. Select New in the Form Mode menu.
  3. Provide the List Name/ID and the Content Type/ID. Click OK.

Note: If the list has not been enabled for management of content types, in the Content Type/ID, type in 'Item'.

Related Topics

Getting started with the form designer
Configuring the Start Site Workflow Webpart


Designing forms for SharePoint external lists

Designing forms for SharePoint external lists

Nintex Forms supports designing the form of a SharePoint external list (External Content Type). For more information on SharePoint External List (External Content Type), refer to http://msdn.microsoft.com/en-us/library/ee558737.aspx.

Designing a form for SharePoint External List

  1. Configure and set up the SharePoint external list in your SharePoint environment. For more information on setting up a SharePoint external list, please refer to http://msdn.microsoft.com/en-us/library/ff728816.aspx.
  2. Once the SharePoint external list has been configured, design the form using Nintex Forms as per a standard SharePoint list. Refer to Getting started with the form designer for more information on designing a Nintex form.

Note: When designing a Nintex form for a SharePoint external list, the form designer has the ability to change the controls of the external data columns which otherwise would have limited users to just a single line textbox when using the out of the box SharePoint external list.

Important

  • Nintex Forms does not support the ID column when designing forms for a SharePoint external list. It is recommended that the external content type manages the ID creation.
  • Publishing to Nintex Live is not supported when designing a Nintex form for a SharePoint external list.

Related Topics

Getting started with the form designer
Designing forms in Nintex Workflow